local addon, private = ...

if (Inspect.System.Language() ~= "English") then return end

cmiStrings = {
    ["noCategory"] = "ERROR: Category not found -- ",
    ["noItem"] = "ERROR: Item not found -- "
}

cmiData = {
    ["material fish"] = {
        { name="Smooth Minnow", skill="Fishing", skillmin=1, skillmax=30 },
        { name="Smooth Minnow", skill="Survival", skillmin=1, skillmax=30 },
        { name="Forest Pondleaper", skill="Fishing", skillmin=1, skillmax=30 },
        { name="Forest Pondleaper", skill="Survival", skillmin=1, skillmax=40 },
        { name="Normal-Eyed Guppy", skill="Fishing", skillmin=30, skillmax=35 },
        { name="Blue Widemouth", skill="Fishing", skillmin=30, skillmax=35 },
        { name="Blue Widemouth", skill="Survival", skillmin=20, skillmax=65 },
        { name="Silverwood Angel", skill="Fishing", skillmin=30, skillmax=35 },
        { name="False Shark", skill="Fishing", skillmin=30, skillmax=35 },
        { name="False Shark", skill="Survival", skillmin=30, skillmax=65 },
        { name="Echidna Fish", skill="Fishing", skillmin=50, skillmax=105 },
        { name="Echidna Fish", skill="Survival", skillmin=70, skillmax=100 },
        { name="Lesser Crystalfish", skill="Fishing", skillmin=50, skillmax=105 },
        { name="Lesser Crystalfish", skill="Survival", skillmin=50, skillmax=80 },
        { name="Fantail", skill="Fishing", skillmin=70, skillmax=75 },
        { name="Tawny Rockfish", skill="Fishing", skillmin=70, skillmax=75 },
        { name="Tawny Rockfish", skill="Survival", skillmin=80, skillmax=110 },
        { name="Gloam Eel", skill="Fishing", skillmin=70, skillmax=75 },
        { name="Creeper", skill="Fishing", skillmin=70, skillmax=75 },
        { name="Creeper", skill="Survival", skillmin=75, skillmax=105 },
        { name="Flatfish", skill="Fishing", skillmin=100, skillmax=135 },
        { name="Flatfish", skill="Survival", skillmin=150, skillmax=180 },
        { name="Chameleonfish", skill="Fishing", skillmin=100, skillmax=135 },
        { name="Chameleonfish", skill="Survival", skillmin=120, skillmax=150 },
        { name="Blenny", skill="Fishing", skillmin=100, skillmax=210 },
        { name="Blenny", skill="Survival", skillmin=110, skillmax=140 },
        { name="Freshwater Shrimp", skill="Fishing", skillmin=100, skillmax=135 },
        { name="Freshwater Shrimp", skill="Survival", skillmin=140, skillmax=170 },
        { name="Green Widemouth", skill="Fishing", skillmin=130, skillmax=135 },
        { name="Green Widemouth", skill="Survival", skillmin=165, skillmax=195 },
        { name="Inland Octopus", skill="Fishing", skillmin=130, skillmax=135 },
        { name="Inland Octopus", skill="Survival", skillmin=155, skillmax=185 },
        { name="Grouper", skill="Fishing", skillmin=130, skillmax=135 },
        { name="Grouper", skill="Survival", skillmin=150, skillmax=180 },
        { name="Red Mangler", skill="Fishing", skillmin=130, skillmax=135 },
        { name="Red Mangler", skill="Survival", skillmin=110, skillmax=200 },
        { name="Steelscale Thrasher", skill="Fishing", skillmin=150, skillmax=180 },
        { name="Ironshell Crab", skill="Fishing", skillmin=150, skillmax=180 },
        { name="Vermillion Stoneskin", skill="Fishing", skillmin=160, skillmax=195 },
        { name="Vermillion Stoneskin", skill="Survival", skillmin=200, skillmax=230 },
        { name="Pale Flycatcher", skill="Fishing", skillmin=160, skillmax=195 },
        { name="Pale Flycatcher", skill="Survival", skillmin=190, skillmax=220 },
        { name="Verdant Angel", skill="Fishing", skillmin=160, skillmax=195 },
        { name="Verdant Angel", skill="Survival", skillmin=220, skillmax=250 },
        { name="Lobster", skill="Fishing", skillmin=160, skillmax=195 },
        { name="Lobster", skill="Survival", skillmin=190, skillmax=220 },
        { name="Jasper Snapper", skill="Fishing", skillmin=160, skillmax=195 },
        { name="Jasper Snapper", skill="Survival", skillmin=180, skillmax=210 },
        { name="Striated Crab", skill="Fishing", skillmin=160, skillmax=195 },
        { name="Striated Crab", skill="Survival", skillmin=200, skillmax=230 },
        { name="Aestivating Nautilus", skill="Fishing", skillmin=180, skillmax=210 },
        { name="Coldwater Seabug", skill="Fishing", skillmin=180, skillmax=210 },
        { name="Burrowing Crab", skill="Fishing", skillmin=190, skillmax=255 },
        { name="Moonhorse", skill="Fishing", skillmin=190, skillmax=255 },
        { name="Serene Flatfish", skill="Fishing", skillmin=190, skillmax=305 },
        { name="Highlands Eel", skill="Fishing", skillmin=190, skillmax=300 },
        { name="Coral Prawn", skill="Fishing", skillmin=225, skillmax=255 },
        { name="Coral Prawn", skill="Survival", skillmin=240, skillmax=270 },
        { name="Teal Grouper", skill="Fishing", skillmin=225, skillmax=255 },
        { name="Teal Grouper", skill="Survival", skillmin=260, skillmax=305 },
        { name="Sunny Puffer", skill="Fishing", skillmin=225, skillmax=255 },
        { name="Sunny Puffer", skill="Survival", skillmin=250, skillmax=280 },
        { name="Brown Perch", skill="Fishing", skillmin=225, skillmax=305 },
        { name="Brown Perch", skill="Survival", skillmin=260, skillmax=305 },
        { name="Firebelly Snapper", skill="Fishing", skillmin=250, skillmax=255 },
        { name="Firebelly Snapper", skill="Survival", skillmin=295, skillmax=305 },
        { name="Brightwater Octopus", skill="Fishing", skillmin=250, skillmax=255 },
        { name="Brightwater Octopus", skill="Survival", skillmin=250, skillmax=305 },
        { name="Desert Seabug", skill="Fishing", skillmin=250, skillmax=255 },
        { name="Desert Seabug", skill="Survival", skillmin=240, skillmax=270 },
        { name="Bull Chameleonfish", skill="Fishing", skillmin=250, skillmax=255 },
        { name="Bull Chameleonfish", skill="Survival", skillmin=285, skillmax=305 },
        { name="Glossy Mackerel", skill="Fishing", skillmin=260, skillmax=305 },
        { name="Glossy Mackerel", skill="Survival", skillmin=290, skillmax=305 },
        { name="Isle Crab", skill="Fishing", skillmin=260, skillmax=305 },
        { name="Isle Crab", skill="Survival", skillmin=290, skillmax=305 },
        { name="Ember Stoneskin", skill="Fishing", skillmin=290, skillmax=305 },
        { name="Ember Stoneskin", skill="Survival", skillmin=270, skillmax=305 },
        { name="Deep Ray", skill="Fishing", skillmin=290, skillmax=305 },
        { name="Deep Ray", skill="Survival", skillmin=280, skillmax=305 },
        { name="Sand Nautilus", skill="Fishing", skillmin=300, skillmax=305 },
        { name="Amphibious Jelly", skill="Fishing", skillmin=300, skillmax=305 },
        { name="Ash Shark", skill="Survival", skillmin=300, skillmax=305 },
        { name="Empyrean Dragonfish", skill="Fishing", skillmin=315, skillmax=360 },
        { name="Empyrean Dragonfish", skill="Survival", skillmin=330, skillmax=375 },
        { name="Quick Minnow", skill="Fishing", skillmin=315, skillmax=360 },
        { name="Quick Minnow", skill="Survival", skillmin=300, skillmax=360 },
        { name="Kraken Hatchling", skill="Fishing", skillmin=325, skillmax=365 },
        { name="Kraken Hatchling", skill="Survival", skillmin=320, skillmax=380 },
        { name="Dusken Eel", skill="Fishing", skillmin=325, skillmax=355 },
        { name="Dusken Eel", skill="Survival", skillmin=350, skillmax=380 },
        { name="Mottled Flatfish", skill="Fishing", skillmin=325, skillmax=370 },
        { name="Mottled Flatfish", skill="Survival", skillmin=300, skillmax=330 },
        { name="Banded Puffer", skill="Fishing", skillmin=325, skillmax=370 },
        { name="Banded Puffer", skill="Survival", skillmin=330, skillmax=360 },
        { name="Coldflare Octopus", skill="Survival", skillmin=330, skillmax=380 },
        { name="Sharpfin", skill="Fishing", skillmin=350, skillmax=380 },
        { name="Sharpfin", skill="Survival", skillmin=355, skillmax=375 },
        { name="Giant Pondleaper", skill="Fishing", skillmin=350, skillmax=380 },
        { name="Giant Pondleaper", skill="Survival", skillmin=350, skillmax=380 },
        { name="Sunhorse", skill="Fishing", skillmin=350, skillmax=380 },
        { name="Sunhorse", skill="Survival", skillmin=370, skillmax=380 },
        { name="Veiled Octopus", skill="Fishing", skillmin=350, skillmax=380 },
        { name="Veiled Octopus", skill="Survival", skillmin=320, skillmax=350 },
        { name="Diving Ouzel", skill="Fishing", skillmin=375, skillmax=375 },
        { name="Longspine Urchin", skill="Fishing", skillmin=375, skillmax=375 },
        { name="Silt Eel", skill="Fishing", skillmin=375, skillmax=375 },
        { name="Bulkhead Shrimp", skill="Fishing", skillmin=375, skillmax=375 },
        { name="Emerald Flycatcher", skill="Survival", skillmin=340, skillmax=380 },
		{ name="Moorleaper", skill="Dream Weaver", skillmin=250, skillmax=295 },
		{ name="Seer Eel", skill="Survival", skillmin=450, skillmax=480 },
		{ name="Seer Eel", skill="Dream Weaver", skillmin=400, skillmax=495 },
		{ name="Stillmoor Devil", skill="Survival", skillmin=220, skillmax=250 },
		{ name="Yellow Petrel", skill="Survival", skillmin=450, skillmax=480 },
		{ name="Oorl Remora", skill="Fishing", skillmin=405, skillmax=450 },
		{ name="Oorl Remora", skill="Survival", skillmin=400, skillmax=450 },
		{ name="Skygrazer Manta", skill="Survival", skillmin=380, skillmax=480 },
		{ name="Skygrazer Manta", skill="Dream Weaver", skillmin=425, skillmax=470 },
		{ name="Skygrazer Manta", skill="Fishing", skillmin=405, skillmax=435 },
		{ name="Merpho", skill="Survival", skillmin=375, skillmax=460 },
		{ name="Merpho", skill="Fishing", skillmin=375, skillmax=425 },
		{ name="Zirthan Dreamleech", skill="Survival", skillmin=376, skillmax=480 },
		{ name="Zirthan Dreamleech", skill="Fishing", skillmin=400, skillmax=450 },
		{ name="Zirthan Dreamleech", skill="Dream Weaver", skillmin=400, skillmax=445 },
		{ name="Summer Sunfish", skill="Survival", skillmin=1, skillmax=525 },
		{ name="Summer Sunfish", skill="Fishing", skillmin=1, skillmax=525 },
		{ name="Blackthorn Trout", skill="Survival", skillmin=450, skillmax=540 },
		{ name="Blackthorn Trout", skill="Fishing", skillmin=465, skillmax=515 },
		{ name="Blackthorn Trout", skill="Dream Weaver", skillmin=450, skillmax=526 },
		{ name="Blackthorn Trout", skill="Apothecary", skillmin=525, skillmax=540 },
		{ name="Starfall Crab", skill="Survival", skillmin=450, skillmax=540 },
		{ name="Starfall Crab", skill="Fishing", skillmin=450, skillmax=490 },
		{ name="Starfall Crab", skill="Dream Weaver", skillmin=450, skillmax=526 },
		{ name="Starfall Crab", skill="Apothecary", skillmin=525, skillmax=540 },
		{ name="Tenebrean Eel", skill="Fishing", skillmin=485, skillmax=490 },
		{ name="Tenebrean Eel", skill="Survival", skillmin=450, skillmax=540 },
		
        { name="Indigoby", skill="Quest Only", skillmin=0, skillmax=0, },
        { name="Droughtlands Puffer", skill="Quest Only", skillmin=0, skillmax=0 },
        { name="Cascadefish", skill="Quest Only", skillmin=0, skillmax=0 },
        { name="Grassland Pondleaper", skill="Quest Only", skillmin=0, skillmax=0 },
        { name="Scarwood Crystalfish", skill="Quest Only", skillmin=0, skillmax=0 },
        { name="Desert Greenling", skill="Quest Only", skillmin=0, skillmax=0 },
        { name="Icebiter", skill="Quest Only", skillmin=0, skillmax=0 },
        { name="Whalefish", skill="Quest Only", skillmin=0, skillmax=0 },
        { name="Electric Dragonfish", skill="Quest Only", skillmin=0, skillmax=0 },
        { name="Deep March Eel", skill="Quest Only", skillmin=0, skillmax=0 },
        { name="Silverwood Devil", skill="Quest Only", skillmin=0, skillmax=0 },
        { name="Glacier Octopus", skill="Quest Only", skillmin=0, skillmax=0 },
        { name="Powdernose Crab", skill="Quest Only", skillmin=0, skillmax=0 },
		
		},--material fish
    
    ["material cloth"] = {
        { name="Burlap Cloth", skill="Outfitter", skillmin=1, skillmax=13 },
        { name="Burlap Cloth", skill="Survival", skillmin=60, skillmax=130 },
        { name="Burlap Cloth", skill="Weaponsmith", skillmin=10, skillmax=60 },
        { name="Burlap Cloth", skill="Armorsmith", skillmin=10, skillmax=59 },
        { name="Bolt of Burlap", skill="Outfitter", skillmin=1, skillmax=90 },
        { name="Cotton Cloth", skill="Outfitter", skillmin=35, skillmax=90 },
        { name="Cotton Cloth", skill="Weaponsmith", skillmin=50, skillmax=100 },
        { name="Cotton Cloth", skill="Armorsmith", skillmin=50, skillmax=99 },
        { name="Cotton Cloth", skill="Survival", skillmin=100, skillmax=130 },
        { name="Bolt of Cotton", skill="Outfitter", skillmin=40, skillmax=99 },
        { name="Wool Cloth", skill="Outfitter", skillmin=75, skillmax=87 },
        { name="Wool Cloth", skill="Survival", skillmin=160, skillmax=240 },
        { name="Wool Cloth", skill="Weaponsmith", skillmin=90, skillmax=140 },
        { name="Wool Cloth", skill="Armorsmith", skillmin=100, skillmax=139 },
        { name="Bolt of Wool", skill="Outfitter", skillmin=80, skillmax=150 },
        { name="Bolt of Wool", skill="Armorsmith", skillmin=90, skillmax=119 },
        { name="Linen Cloth", skill="Outfitter", skillmin=115, skillmax=210 },
        { name="Linen Cloth", skill="Weaponsmith", skillmin=130, skillmax=180 },
        { name="Linen Cloth", skill="Armorsmith", skillmin=140, skillmax=169 },
        { name="Linen Cloth", skill="Survival", skillmin=160, skillmax=240 },
        { name="Bolt of Linen", skill="Outfitter", skillmin=115, skillmax=174 },
        { name="Bolt of Linen", skill="Armorsmith", skillmin=130, skillmax=179 },
        { name="Silk Cloth", skill="Outfitter", skillmin=145, skillmax=157 },
        { name="Silk Cloth", skill="Weaponsmith", skillmin=160, skillmax=215 },
        { name="Silk Cloth", skill="Armorsmith", skillmin=170, skillmax=214 },
        { name="Silk Cloth", skill="Survival", skillmin=230, skillmax=305 },
        { name="Bolt of Lockweave", skill="Outfitter", skillmin=150, skillmax=179 },
        { name="Bolt of Silk", skill="Outfitter", skillmin=150, skillmax=214 },
        { name="Bolt of Silk", skill="Armorsmith", skillmin=160, skillmax=189 },
        { name="Composite Cloth", skill="Outfitter", skillmin=185, skillmax=197 },
        { name="Composite Cloth", skill="Armorsmith", skillmin=210, skillmax=255 },
        { name="Composite Cloth", skill="Apothecary", skillmin=180, skillmax=210 },
        { name="Composite Cloth", skill="Survival", skillmin=230, skillmax=260 },
        { name="Composite Cloth", skill="Weaponsmith", skillmin=200, skillmax=250 },
        { name="Bolt of Composite Cloth", skill="Outfitter", skillmin=185, skillmax=270 },
        { name="Bolt of Composite Cloth", skill="Armorsmith", skillmin=190, skillmax=230 },
        { name="Bolt of Shaleweave", skill="Outfitter", skillmin=185, skillmax=219 },
        { name="Spellspun Silk", skill="Outfitter", skillmin=225, skillmax=270 },
        { name="Spellspun Silk", skill="Weaponsmith", skillmin=250, skillmax=300 },
        { name="Spellspun Silk", skill="Armorsmith", skillmin=250, skillmax=300 },
        { name="Spellspun Silk", skill="Fishing", skillmin=300, skillmax=305 },
        { name="Spellspun Silk", skill="Survival", skillmin=275, skillmax=305 },
        { name="Bolt of Spellspun Silk", skill="Outfitter", skillmin=230, skillmax=339 },
        { name="Witchweave Cloth", skill="Outfitter", skillmin=270, skillmax=282 },
        { name="Witchweave Cloth", skill="Armorsmith", skillmin=290, skillmax=339 },
        { name="Bolt of Witchweave", skill="Outfitter", skillmin=280, skillmax=339 },
        { name="Lanzan Cloth", skill="Outfitter", skillmin=290, skillmax=330 },
        { name="Lanzan Cloth", skill="Armorsmith", skillmin=290, skillmax=380 },
        { name="Lanzan Cloth", skill="Artificer", skillmin=290, skillmax=360 },
        { name="Lanzan Cloth", skill="Weaponsmith", skillmin=290, skillmax=360 },
        { name="Lanzan Cloth", skill="Survival", skillmin=305, skillmax=335 },
        { name="Bolt of Lanzan", skill="Outfitter", skillmin=290, skillmax=380 },
        { name="Bolt of Spiritweave", skill="Outfitter", skillmin=300, skillmax=305 },
        { name="Bolt of Spiritweave", skill="Armorsmith", skillmin=300, skillmax=305 },
        { name="Bolt of Spiritweave", skill="Artificer", skillmin=300, skillmax=305 },
        { name="Bolt of Radiant Witchweave", skill="Outfitter", skillmin=300, skillmax=305 },
        { name="Bolt of Radiant Witchweave", skill="Armorsmith", skillmin=300, skillmax=305 },
        { name="Bolt of Radiant Witchweave", skill="Artificer", skillmin=300, skillmax=305 },
        { name="Chiffon Cloth", skill="Outfitter", skillmin=330, skillmax=350 },
        { name="Chiffon Cloth", skill="Artificer", skillmin=330, skillmax=380 },
        { name="Chiffon Cloth", skill="Armorsmith", skillmin=330, skillmax=380 },
        { name="Chiffon Cloth", skill="Weaponsmith", skillmin=330, skillmax=380 },
        { name="Bolt of Chiffon", skill="Outfitter", skillmin=330, skillmax=380 },
        { name="Empyrean Silk", skill="Outfitter", skillmin=360, skillmax=380 },
        { name="Empyrean Silk", skill="Armorsmith", skillmin=375, skillmax=375 },
        { name="Empyrean Silk", skill="Weaponsmith", skillmin=375, skillmax=380 },
        { name="Empyrean Silk", skill="Survival", skillmin=375, skillmax=375 },
        { name="Bolt of Empyrean Silk", skill="Outfitter", skillmin=360, skillmax=380 },
        { name="Bolt of Lined Empyrean Silk", skill="Outfitter", skillmin=375, skillmax=375 },
		{ name="Diaphanous Cloth", skill="Armorsmith", skillmin=395, skillmax=445 },
        { name="Diaphanous Cloth", skill="Weaponsmith", skillmin=405, skillmax=445 },
        { name="Diaphanous Cloth", skill="Artificer", skillmin=390, skillmax=390 },
		{ name="Bolt of Diaphanous Cloth", skill="Outfitter", skillmin=375, skillmax=405 },
		{ name="Dream Ribbon", skill="Dream Weaver", skillmin=1, skillmax=495 },
		{ name="Dream Bolt", skill="Dream Weaver", skillmin=400, skillmax=495 },
		{ name="Astral Ruby", skill="Unknown", skillmin=0, skillmax=0 },
        { name="Starweave Cloth", skill="Outfitter", skillmin=450, skillmax=530 },
        { name="Starweave Cloth", skill="Armorsmith", skillmin=480, skillmax=525 },
        { name="Starweave Cloth", skill="Runecrafter", skillmin=451, skillmax=526 },
        { name="Starweave Cloth", skill="Dream Weaver", skillmin=450, skillmax=480 },
        { name="Bolt of Starweave Cloth", skill="Outfitter", skillmin=450, skillmax=530 },
        { name="Bolt of Starweave Cloth", skill="Dream Weaver", skillmin=525, skillmax=530 },
        { name="Bolt of Starweave Cloth", skill="Artificer", skillmin=470, skillmax=500 },
        { name="Tenebrean Samite", skill="Outfitter", skillmin=500, skillmax=540 },
        { name="Tenebrean Samite", skill="Dream Weaver", skillmin=525, skillmax=530 },
	},--material cloth
    
    ["material butchering"] = {
        { name="Soft Hide", skill="Butchering", skillmin=1, skillmax=20 },
        { name="Soft Hide", skill="Artificer", skillmin=1, skillmax=60 },
        { name="Soft Leather", skill="Outfitter", skillmin=1, skillmax=59 },
        { name="Soft Leather", skill="Armorsmith", skillmin=10, skillmax=59 },
        { name="Thin Hide", skill="Artificer", skillmin=35, skillmax=100 },
        { name="Thin Hide", skill="Butchering", skillmin=35, skillmax=55 },
        { name="Thin Leather", skill="Outfitter", skillmin=40, skillmax=99 },
        { name="Thin Leather", skill="Armorsmith", skillmin=50, skillmax=99 },
        { name="Thin Leather", skill="Weaponsmith", skillmin=60, skillmax=90 },
        { name="Medium Hide", skill="Artificer", skillmin=75, skillmax=140 },
        { name="Medium Hide", skill="Butchering", skillmin=75, skillmax=135 },
        { name="Medium Leather", skill="Outfitter", skillmin=80, skillmax=139 },
        { name="Medium Leather", skill="Weaponsmith", skillmin=100, skillmax=130 },
        { name="Medium Leather", skill="Butchering", skillmin=120, skillmax=150 },
        { name="Medium Leather", skill="Armorsmith", skillmin=80, skillmax=139 },
        { name="Heavy Hide", skill="Artificer", skillmin=115, skillmax=180 },
        { name="Heavy Hide", skill="Butchering", skillmin=115, skillmax=135 },
        { name="Heavy Leather", skill="Outfitter", skillmin=120, skillmax=169 },
        { name="Heavy Leather", skill="Armorsmith", skillmin=130, skillmax=179 },
        { name="Heavy Leather", skill="Weaponsmith", skillmin=120, skillmax=180 },
        { name="Heavy Leather", skill="Butchering", skillmin=180, skillmax=210 },
        { name="Heavy Leather", skill="Artificer", skillmin=150, skillmax=180 },
        { name="Fine Leather", skill="Outfitter", skillmin=150, skillmax=214 },
        { name="Thick Hide", skill="Artificer", skillmin=145, skillmax=210 },
        { name="Thick Hide", skill="Butchering", skillmin=145, skillmax=205 },
        { name="Thick Leather", skill="Outfitter", skillmin=150, skillmax=220 },
        { name="Thick Leather", skill="Armorsmith", skillmin=160, skillmax=214 },
        { name="Thick Leather", skill="Artificer", skillmin=110, skillmax=140 },
        { name="Thick Leather", skill="Weaponsmith", skillmin=180, skillmax=210 },
        { name="Reinforced Leather", skill="Outfitter", skillmin=185, skillmax=239 },
        { name="Reinforced Leather", skill="Apothecary", skillmin=250, skillmax=280 },
        { name="Reinforced Leather", skill="Artificer", skillmin=185, skillmax=215 },
        { name="Exotic Hide", skill="Butchering", skillmin=185, skillmax=205 },
        { name="Exotic Hide", skill="Artificer", skillmin=185, skillmax=250 },
        { name="Exotic Leather", skill="Outfitter", skillmin=190, skillmax=260 },
        { name="Exotic Leather", skill="Butchering", skillmin=240, skillmax=270 },
        { name="Exotic Leather", skill="Armorsmith", skillmin=200, skillmax=250 },
        { name="Exotic Leather", skill="Artificer", skillmin=225, skillmax=255 },
        { name="Well-Worn Leather", skill="Outfitter", skillmin=225, skillmax=255 },
        { name="Soulhide", skill="Artificer", skillmin=225, skillmax=300 },
        { name="Soulhide", skill="Butchering", skillmin=225, skillmax=300 },
        { name="Soulbind Leather", skill="Outfitter", skillmin=230, skillmax=339 },
        { name="Soulbind Leather", skill="Armorsmith", skillmin=240, skillmax=305 },
        { name="Soulbind Leather", skill="Survival", skillmin=300, skillmax=305 },
        { name="Ironhide", skill="Artificer", skillmin=270, skillmax=300 },
        { name="Ironhide", skill="Butchering", skillmin=270, skillmax=300 },
        { name="Steeled Leather", skill="Outfitter", skillmin=280, skillmax=339 },
        { name="Steeled Leather", skill="Armorsmith", skillmin=290, skillmax=339 },
        { name="Steeled Leather", skill="Artificer", skillmin=290, skillmax=305 },
        { name="Steeled Leather", skill="Weaponsmith", skillmin=290, skillmax=305 },
        { name="Steeled Leather", skill="Butchering", skillmin=300, skillmax=320 },
        { name="Dense Hide", skill="Butchering", skillmin=290, skillmax=310 },
        { name="Dense Leather", skill="Outfitter", skillmin=290, skillmax=380 },
        { name="Dense Leather", skill="Armorsmith", skillmin=290, skillmax=380 },
        { name="Dense Leather", skill="Butchering", skillmin=300, skillmax=330 },
        { name="Dense Leather", skill="Artificer", skillmin=300, skillmax=340 },
        { name="Steel-Stitched Leather", skill="Outfitter", skillmin=300, skillmax=305 },
        { name="Steel-Stitched Leather", skill="Armorsmith", skillmin=300, skillmax=305 },
        { name="Steel-Stitched Leather", skill="Weaponsmith", skillmin=300, skillmax=305 },
        { name="Steel-Stitched Leather", skill="Artificer", skillmin=300, skillmax=305 },
        { name="Imbued Leather", skill="Outfitter", skillmin=300, skillmax=305 },
        { name="Imbued Leather", skill="Armorsmith", skillmin=300, skillmax=305 },
        { name="Imbued Leather", skill="Weaponsmith", skillmin=300, skillmax=305 },
        { name="Imbued Leather", skill="Artificer", skillmin=300, skillmax=305 },
        { name="Imbued Leather", skill="Apothecary", skillmin=300, skillmax=305 },
        { name="Striped Hide", skill="Butchering", skillmin=330, skillmax=350 },
        { name="Striped Leather", skill="Outfitter", skillmin=330, skillmax=380 },
        { name="Striped Leather", skill="Artificer", skillmin=350, skillmax=380 },
        { name="Striped Leather", skill="Armorsmith", skillmin=330, skillmax=380 },
        { name="Striped Leather", skill="Butchering", skillmin=375, skillmax=375 },
        { name="Truehide", skill="Butchering", skillmin=350, skillmax=365 },
        { name="Truehide Leather", skill="Outfitter", skillmin=360, skillmax=380 },
        { name="Truehide Leather", skill="Artificer", skillmin=360, skillmax=380 },
        { name="Truehide Leather", skill="Armorsmith", skillmin=350, skillmax=380 },
        { name="Truehide Leather", skill="Butchering", skillmin=375, skillmax=375 },
        { name="Impervious Truehide Leather", skill="Outfitter", skillmin=375, skillmax=375 },
        { name="Impervious Truehide Leather", skill="Armorsmith", skillmin=375, skillmax=375 },
		{ name="Stately Swatch", skill="Butchering", skillmin=375, skillmax=385 },
		{ name="Fabled Hide", skill="Butchering", skillmin=375, skillmax=390 },
        { name="Fabled Leather", skill="Outfitter", skillmin=375, skillmax=445 },
        { name="Fabled Leather", skill="Armorsmith", skillmin=375, skillmax=445 },
		{ name="Fabled Leather", skill="Artificer", skillmin=375, skillmax=375 },
        { name="Starhide", skill="Butchering", skillmin=450, skillmax=475 },
        { name="Starhide Leather", skill="Butchering", skillmin=450, skillmax=465 },
        { name="Starhide Leather", skill="Armorsmith", skillmin=450, skillmax=540 },
        { name="Starhide Leather", skill="Outfitter", skillmin=450, skillmax=530 },
        { name="Starhide Leather", skill="Artificer", skillmin=470, skillmax=515 },
        { name="Infused Starhide", skill="Butchering", skillmin=450, skillmax=465 },
        { name="Infused Starhide", skill="Outfitter", skillmin=451, skillmax=530 },
        { name="Infused Starhide", skill="Armorsmith", skillmin=520, skillmax=535 },
        { name="Infused Starhide", skill="Dream Weaver", skillmin=525, skillmax=540 },
        
		
        { name="Rotting Canine", skill="Apothecary", skillmin=10, skillmax=90 },
        { name="Rotting Canine", skill="Artificer", skillmin=30, skillmax=100 },
        { name="Cracked Rib", skill="Apothecary", skillmin=30, skillmax=100 },
        { name="Cracked Rib", skill="Artificer", skillmin=30, skillmax=100 },
        { name="Jagged Tooth", skill="Apothecary", skillmin=60, skillmax=150 },
        { name="Jagged Tooth", skill="Artificer", skillmin=110, skillmax=180 },
        { name="Shattered Bone", skill="Apothecary", skillmin=110, skillmax=160 },
        { name="Shattered Bone", skill="Artificer", skillmin=110, skillmax=180 },
        { name="Pristine Molar", skill="Apothecary", skillmin=130, skillmax=280 },
        { name="Pristine Molar", skill="Artificer", skillmin=180, skillmax=250 },
        { name="Pristine Femur", skill="Apothecary", skillmin=160, skillmax=220 },
        { name="Pristine Femur", skill="Artificer", skillmin=180, skillmax=250 },
        { name="Hollow Bone", skill="Artificer", skillmin=200, skillmax=300 },
        { name="Hollow Bone", skill="Apothecary", skillmin=210, skillmax=300 },
        { name="Bloody Fang", skill="Apothecary", skillmin=150, skillmax=300 },
        { name="Bloody Fang", skill="Artificer", skillmin=225, skillmax=300 },
        { name="Darkened Bone", skill="Apothecary", skillmin=270, skillmax=305 },
        { name="Fanged Mandible", skill="Apothecary", skillmin=270, skillmax=305 },
        { name="Fanged Mandible", skill="Artificer", skillmin=290, skillmax=305 },
        { name="Fanged Mandible", skill="Weaponsmith", skillmin=300, skillmax=305 },
        { name="Fanged Mandible", skill="Armorsmith", skillmin=300, skillmax=305 },
        { name="Fanged Mandible", skill="Outfitter", skillmin=300, skillmax=305 },
        { name="Small Bones", skill="Foraging", skillmin=300, skillmax=330 },
        { name="Small Bones", skill="Apothecary", skillmin=301, skillmax=380 },
        { name="Unerupted Tooth", skill="Butchering", skillmin=300, skillmax=330 },
        { name="Unerupted Tooth", skill="Apothecary", skillmin=315, skillmax=380 },
        { name="Collagen Struts", skill="Apothecary", skillmin=345, skillmax=375 },
    },--material butchering
    
    ["material metal"] = {
        { name="Tin Ore", skill="Mining", skillmin=1, skillmax=20 },
        { name="Tin Bar", skill="Armorsmith", skillmin=1, skillmax=90 },
        { name="Tin Bar", skill="Mining", skillmin=50, skillmax=90 },
        { name="Tin Bar", skill="Artificer", skillmin=1, skillmax=60 },
        { name="Tin Bar", skill="Weaponsmith", skillmin=1, skillmax=60 },
        { name="Copper Ore", skill="Mining", skillmin=35, skillmax=55 },
        { name="Copper Bar", skill="Armorsmith", skillmin=40, skillmax=99 },
        { name="Copper Bar", skill="Weaponsmith", skillmin=40, skillmax=100 },
        { name="Copper Bar", skill="Artificer", skillmin=40, skillmax=100 },
        { name="Copper Bar", skill="Mining", skillmin=50, skillmax=70 },
        { name="Copper Bar", skill="Runecrafter", skillmin=60, skillmax=150 },
        { name="Bronze Bar", skill="Armorsmith", skillmin=60, skillmax=90 },
        { name="Bronze Bar", skill="Weaponsmith", skillmin=60, skillmax=90 },
        { name="Iron Ore", skill="Mining", skillmin=75, skillmax=95 },
        { name="Iron Bar", skill="Armorsmith", skillmin=80, skillmax=139 },
        { name="Iron Bar", skill="Weaponsmith", skillmin=80, skillmax=140 },
        { name="Iron Bar", skill="Artificer", skillmin=80, skillmax=130 },
        { name="Iron Bar", skill="Mining", skillmin=115, skillmax=150 },
        { name="Silver Ore", skill="Mining", skillmin=75, skillmax=95 },
        { name="Silver Bar", skill="Artificer", skillmin=100, skillmax=180 },
        { name="Steel Bar", skill="Armorsmith", skillmin=80, skillmax=179 },
        { name="Steel Bar", skill="Weaponsmith", skillmin=120, skillmax=180 },
        { name="Steel Bar", skill="Survival", skillmin=180, skillmax=210 },
        { name="Chromite Ore", skill="Mining", skillmin=115, skillmax=135 },
        { name="Chromite Bar", skill="Armorsmith", skillmin=120, skillmax=174 },
        { name="Chromite Bar", skill="Mining", skillmin=115, skillmax=135 },
        { name="Chromite Bar", skill="Fishing", skillmin=120, skillmax=150 },
        { name="Chromite Bar", skill="Weaponsmith", skillmin=120, skillmax=180 },
        { name="Chromite Bar", skill="Artificer", skillmin=120, skillmax=180 },
        { name="Cobalt Ore", skill="Mining", skillmin=145, skillmax=165 },
        { name="Cobalt Bar", skill="Armorsmith", skillmin=150, skillmax=210 },
        { name="Cobalt Bar", skill="Artificer", skillmin=150, skillmax=200 },
        { name="Cobalt Bar", skill="Mining", skillmin=180, skillmax=210 },
        { name="Cobalt Bar", skill="Fishing", skillmin=240, skillmax=270 },
        { name="Cobalt Bar", skill="Weapinsmith", skillmin=150, skillmax=210 },
        { name="Gold Ore", skill="Mining", skillmin=145, skillmax=165 },
        { name="Gold Bar", skill="Artificer", skillmin=170, skillmax=255 },
        { name="Darkmetal Bar", skill="Armorsmith", skillmin=185, skillmax=255 },
        { name="Darkmetal Bar", skill="Weaponsmith", skillmin=185, skillmax=270 },
        { name="Titanium Ore", skill="Mining", skillmin=185, skillmax=205 },
        { name="Titanium Bar", skill="Armorsmith", skillmin=190, skillmax=260 },
        { name="Titanium Bar", skill="Runecrafter", skillmin=180, skillmax=270 },
        { name="Titanium Bar", skill="Mining", skillmin=185, skillmax=205 },
        { name="Titanium Bar", skill="Weaponsmith", skillmin=190, skillmax=260 },
        { name="Titanium Bar", skill="Artificer", skillmin=190, skillmax=260 },
        { name="Carmintium Ore", skill="Mining", skillmin=225, skillmax=245 },
        { name="Carmintium Bar", skill="Armorsmith", skillmin=230, skillmax=305 },
        { name="Carmintium Bar", skill="Weaponsmith", skillmin=230, skillmax=300 },
        { name="Carmintium Bar", skill="Artificer", skillmin=230, skillmax=300 },
        { name="Carmintium Bar", skill="Mining", skillmin=280, skillmax=300 },
        { name="Platinum Ore", skill="Mining", skillmin=225, skillmax=245 },
        { name="Platinum Bar", skill="Mining", skillmin=240, skillmax=270 },
        { name="Platinum Bar", skill="Artificer", skillmin=250, skillmax=305 },
        { name="Orichalcum Ore", skill="Mining", skillmin=260, skillmax=280 },
        { name="Orichalcum Bar", skill="Armorsmith", skillmin=280, skillmax=305 },
        { name="Orichalcum Bar", skill="Weaponsmith", skillmin=280, skillmax=305 },
        { name="Orichalcum Bar", skill="Mining", skillmin=280, skillmax=320 },
        { name="Orichalcum Bar", skill="Artificer", skillmin=280, skillmax=305 },
        { name="Orichalcum Bar", skill="Fishing", skillmin=300, skillmax=305 },
        { name="Gantimite Ore", skill="Mining", skillmin=290, skillmax=310 },
        { name="Gantimite Bar", skill="Armorsmith", skillmin=290, skillmax=380 },
        { name="Gantimite Bar", skill="Weaponsmith", skillmin=290, skillmax=380 },
        { name="Gantimite Bar", skill="Artificer", skillmin=290, skillmax=380 },
        { name="Gantimite Bar", skill="Runecrafter", skillmin=300, skillmax=330 },
        { name="Gantimite Bar", skill="Mining", skillmin=375, skillmax=375 },
        { name="Tempered Orichalcum Bar", skill="Armorsmith", skillmin=300, skillmax=305 },
        { name="Tempered Orichalcum Bar", skill="Weaponsmith", skillmin=300, skillmax=305 },
        { name="Tembered Oricalcum Bar", skill="Artificer", skillmin=300, skillmax=305 },
        { name="Cinerium Bar", skill="Armorsmith", skillmin=300, skillmax=305 },
        { name="Cinerium Bar", skill="Weaponsmith", skillmin=300, skillmax=305 },
        { name="Cinerium Bar", skill="Artificer", skillmin=300, skillmax=305 },
        { name="Cinerium Bar", skill="Outfitter", skillmin=300, skillmax=305 },
        { name="Karthite Ore", skill="Mining", skillmin=330, skillmax=350 },
        { name="Karthite Bar", skill="Armorsmith", skillmin=320, skillmax=380 },
        { name="Karthite Bar", skill="Weaponsmith", skillmin=330, skillmax=380 },
        { name="Karthite Bar", skill="Artificer", skillmin=330, skillmax=380 },
        { name="Karthite Bar", skill="Mining", skillmin=375, skillmax=375 },
        { name="Rhenium Ore", skill="Mining", skillmin=350, skillmax=365 },
        { name="Rhenium Bar", skill="Armorsmith", skillmin=350, skillmax=380 },
        { name="Rhenium Bar", skill="Weaponsmith", skillmin=370, skillmax=380 },
        { name="Rhenium Bar", skill="Artificer", skillmin=370, skillmax=380 },
        { name="Rhenium Bar", skill="Mining", skillmin=375, skillmax=375 },
        { name="Rhenium Superalloy", skill="Armorsmith", skillmin=375, skillmax=375 },
        { name="Rhenium Superalloy", skill="Weaponsmith", skillmin=375, skillmax=375 },
        { name="Rhenium Superalloy", skill="Artificer", skillmin=375, skillmax=375 },
		{ name="Thalasite Ore", skill="Mining", skillmin=375, skillmax=390 },
		{ name="Thalasite Bar", skill="Armorsmith", skillmin=375, skillmax=445},
		{ name="Thalasite Bar", skill="Artificer", skillmin=375, skillmax=435 },
		{ name="Thalasite Bar", skill="Dream Weaver", skillmin=400, skillmax=450 },
		{ name="Thalasite Bar", skill="Weaponsmith", skillmin=375, skillmax=445 },
		{ name="Ephemeral Element", skill="Mining", skillmin=375, skillmax=380 },
		{ name="Thalasite Dream Alloy", skill="Runecrafter", skillmin=450, skillmax=480 },
		{ name="Thalasite Dream Alloy", skill="Weaponsmith", skillmin=450, skillmax=480 },
		{ name="Thalasite Dream Alloy", skill="Artificer", skillmin=450, skillmax=480 },
		{ name="Thalasite Nightmare Alloy", skill="Armorsmith", skillmin=450, skillmax=480 },
		{ name="Thalasite Nightmare Alloy", skill="Outfitter", skillmin=450, skillmax=480 },
		{ name="Thalasite Nightmare Alloy", skill="Weaponsmith", skillmin=450, skillmax=480 },
		{ name="Atramentium Ore", skill="Mining", skillmin=450, skillmax=465 },
		{ name="Atramentium Bar", skill="Mining", skillmin=450, skillmax=465 },
		{ name="Atramentium Bar", skill="Armorsmith", skillmin=450, skillmax=530},
		{ name="Atramentium Bar", skill="Weaponsmith", skillmin=450, skillmax=530 },
		{ name="Atramentium Bar", skill="Artificer", skillmin=450, skillmax=525 },
		{ name="Atramentium Bar", skill="Dream Weaver", skillmin=451, skillmax=530 },
		{ name="Bolidium Ore", skill="Mining", skillmin=475, skillmax=525 },
		{ name="Bolidium Bar", skill="Mining", skillmin=475, skillmax=490 },
		{ name="Bolidium Bar", skill="Armorsmith", skillmin=450, skillmax=540},
		{ name="Bolidium Bar", skill="Weaponsmith", skillmin=450, skillmax=530 },
		{ name="Bolidium Bar", skill="Artificer", skillmin=490, skillmax=540 },
		{ name="Bolidium Bar", skill="Dream Weaver", skillmin=500, skillmax=530 },
    },--material metal
    
    ["material wood"] = {
        { name="Yew Timber", skill="Foraging", skillmin=1, skillmax=20 },
        { name="Yew Plank", skill="Weaponsmith", skillmin=1, skillmax=60 },
        { name="Yew Plank", skill="Artificer", skillmin=1, skillmax=50 },
        { name="Yew Plank", skill="Foraging", skillmin=60, skillmax=90 },
        { name="Yew Plank", skill="Fishing", skillmin=60, skillmax=90 },
        { name="Yew Plank", skill="Apothecary", skillmin=60, skillmax=90 },
        { name="Ashwood Timber", skill="Foraging", skillmin=35, skillmax=55 },
        { name="Ashwood Plank", skill="Weaponsmith", skillmin=40, skillmax=100 },
        { name="Ashwood Plank", skill="Artificer", skillmin=40, skillmax=150 },
        { name="Ashwood Plank", skill="Survival", skillmin=120, skillmax=150 },
        { name="Ashwood Plank", skill="Foraging", skillmin=120, skillmax=150 },
        { name="Ashwood Plank", skill="Apothecary", skillmin=120, skillmax=150 },
        { name="Oak Log", skill="Foraging", skillmin=75, skillmax=135 },
        { name="Oak Lumber", skill="Weaponsmith", skillmin=80, skillmax=140 },
        { name="Oak Lumber", skill="Artificer", skillmin=80, skillmax=130 },
        { name="Oak Lumber", skill="Fishing", skillmin=180, skillmax=210 },
        { name="Mahogany Log", skill="Foraging", skillmin=115, skillmax=135 },
        { name="Mahogany Lumber", skill="Weaponsmith", skillmin=120, skillmax=180 },
        { name="Mahogany Lumber", skill="Artificer", skillmin=120, skillmax=170 },
        { name="Mahogany Lumber", skill="Mining", skillmin=120, skillmax=150 },
        { name="Mahogany Lumber", skill="Survival", skillmin=180, skillmax=210 },
        { name="Mahogany Lumber", skill="Apothecary", skillmin=300, skillmax=330 },
        { name="Kingswood Log", skill="Foraging", skillmin=145, skillmax=205 },
        { name="Kingswood Lumber", skill="Weaponsmith", skillmin=150, skillmax=215 },
        { name="Kingswood Lumber", skill="Artificer", skillmin=150, skillmax=210 },
        { name="Kingswood Lumber", skill="Apothecary", skillmin=180, skillmax=210 },
        { name="Kingswood Lumber", skill="Butchering", skillmin=240, skillmax=270 },
        { name="Polished Mahogany Lumber", skill="Weaponsmith", skillmin=100, skillmax=130 },
        { name="Polished Mahogany Lumber", skill="Artificer", skillmin=150, skillmax=180 },
        { name="Runebirch Log", skill="Foraging", skillmin=185, skillmax=205 },
        { name="Runebirch Lumber", skill="Weaponsmith", skillmin=190, skillmax=260 },
        { name="Runebirch Lumber", skill="Artificer", skillmin=190, skillmax=240 },
        { name="Runebirch Lumber", skill="Apothecary", skillmin=230, skillmax=270 },
        { name="Polished Runebirch Lumber", skill="Artificer", skillmin=185, skillmax=255 },
        { name="Sagebrush Timber", skill="Foraging", skillmin=225, skillmax=300 },
        { name="Sagebrush Lumber", skill="Weaponsmith", skillmin=230, skillmax=300 },
        { name="Sagebrush Lumber", skill="Artificer", skillmin=230, skillmax=300 },
        { name="Sagebrush Lumber", skill="Mining", skillmin=240, skillmax=270 },
        { name="Sagebrush Lumber", skill="Apothecary", skillmin=260, skillmax=290 },
        { name="Linden Timber", skill="Foraging", skillmin=290, skillmax=310 },
        { name="Linden Timber", skill="Survival", skillmin=315, skillmax=355 },
        { name="Linden Lumber", skill="Weaponsmith", skillmin=290, skillmax=380 },
        { name="Linden Lumber", skill="Artificer", skillmin=290, skillmax=380 },
        { name="Linden Lumber", skill="Survival", skillmin=300, skillmax=330 },
        { name="Linden Lumber", skill="Fishing", skillmin=300, skillmax=330 },
        { name="Linden Lumber", skill="Foraging", skillmin=300, skillmax=375 },
        { name="Linden Lumber", skill="Apothecary", skillmin=300, skillmax=375 },
        { name="Shadethorn Log", skill="Foraging", skillmin=250, skillmax=300 },
        { name="Shadethorn Lumber", skill="Weaponsmith", skillmin=270, skillmax=305 },
        { name="Shadethorn Lumber", skill="Apothecary", skillmin=280, skillmax=300 },
        { name="Shadethorn Lumber", skill="Artificer", skillmin=290, skillmax=305 },
        { name="Shadethorn Lumber", skill="Foraging", skillmin=300, skillmax=320 },
        { name="Enchanted Shadethorn Lumber", skill="Apothecary", skillmin=300, skillmax=305 },
        { name="Enchanted Shadethorn Lumber", skill="Weaponsmith", skillmin=300, skillmax=305 },
        { name="Enchanted Shadethorn Lumber", skill="Artificer", skillmin=300, skillmax=305 },
        { name="Elm Timber", skill="Foraging", skillmin=330, skillmax=350 },
        { name="Elm Timber", skill="Survival", skillmin=345, skillmax=375 },
        { name="Elm Lumber", skill="Fishing", skillmin=300, skillmax=330 },
        { name="Elm Lumber", skill="Weaponsmith", skillmin=301, skillmax=380 },
        { name="Elm Lumber", skill="Artificer", skillmin=330, skillmax=380 },
        { name="Elm Lumber", skill="Apothecary", skillmin=340, skillmax=380 },
        { name="Elm Lumber", skill="Runecrafter", skillmin=360, skillmax=380 },
        { name="Elm Lumber", skill="Foraging", skillmin=375, skillmax=375 },
        { name="Madrosa Timber", skill="Foraging", skillmin=350, skillmax=365 },
        { name="Madrosa Lumber", skill="Weaponsmith", skillmin=370, skillmax=380 },
        { name="Madrosa Lumber", skill="Artificer", skillmin=375, skillmax=376 },
        { name="Madrosa Lumber", skill="Apothecary", skillmin=375, skillmax=376 },
        { name="Madrosa Lumber", skill="Foraging", skillmin=375, skillmax=375 },
        { name="Laminated Madrosa Lumber", skill="Apothecary", skillmin=375, skillmax=375 },
        { name="Laminated Madrosa Lumber", skill="Weaponsmith", skillmin=375, skillmax=375 },
		{ name="Fused Sarfiber", skill="Foraging", skillmin=375, skillmax=405 },
        { name="Polished Shadethorn Lumber", skill="Foraging", skillmin=280, skillmax=300 },
        { name="Faecap Resin", skill="Foraging", skillmin=450, skillmax=475 },
        { name="Faecap Resin", skill="Dream Weaver", skillmin=451, skillmax=530 },
        { name="Faecap Resin", skill="Weaponsmith", skillmin=451, skillmax=520 },
        { name="Faecap Resin", skill="Artificer", skillmin=451, skillmax=526 },
        { name="Faecap Resin", skill="Apothecary", skillmin=460, skillmax=510 },
        { name="Xarthian Fiber", skill="Foraging", skillmin=475, skillmax=490 },
        { name="Xarthian Fiber", skill="Weaponsmith", skillmin=451, skillmax=530 },
        { name="Xarthian Fiber", skill="Artificer", skillmin=490, skillmax=530 },
        { name="Xarthian Fiber", skill="Fishing", skillmin=500, skillmax=505 },
        { name="Xarthian Fiber", skill="Dream Weaver", skillmin=500, skillmax=525 },
    },--material wood
    
    ["material gem"] = {
        { name="Moonstone", skill="Artificer", skillmin=20, skillmax=50 },
        { name="Sunstone", skill="Artificer", skillmin=30, skillmax=60 },
        { name="Sunstone", skill="Weaponsmith", skillmin=30, skillmax=60 },
        { name="Abyssal Opal", skill="Artificer", skillmin=60, skillmax=90 },
        { name="Shimmering Opal", skill="Artificer", skillmin=60, skillmax=90 },
        { name="Shimmering Opal", skill="Weaponsmith", skillmin=70, skillmax=100 },
        { name="Celestite", skill="Artificer", skillmin=100, skillmax=140 },
        { name="Heartstone", skill="Artificer", skillmin=100, skillmax=140 },
        { name="Heartstone", skill="Weaponsmith", skillmin=110, skillmax=140 },
        { name="Blood Berylite", skill="Artificer", skillmin=100, skillmax=180 },
        { name="Blood Berylite", skill="Weaponsmith", skillmin=150, skillmax=180 },
        { name="Blood Berylite", skill="Outfitter", skillmin=150, skillmax=179 },
        { name="Radiant Emerald", skill="Artificer", skillmin=140, skillmax=180 },
        { name="Skystone Agate", skill="Artificer", skillmin=170, skillmax=210 },
        { name="Valeglass Agate", skill="Artificer", skillmin=170, skillmax=210 },
        { name="Valeglass Agate", skill="Weaponsmith", skillmin=180, skillmax=210 },
        { name="Ruby", skill="Artificer", skillmin=200, skillmax=260 },
        { name="Ruby", skill="Weaponsmith", skillmin=220, skillmax=255 },
        { name="Ruby", skill="Armorsmith", skillmin=225, skillmax=255 },
        { name="Sapphire", skill="Artificer", skillmin=210, skillmax=260 },
        { name="Sapphire", skill="Armorsmith", skillmin=225, skillmax=255 },
        { name="Brilliant Diamond", skill="Artificer", skillmin=250, skillmax=300 },
        { name="Brilliant Diamond", skill="Weaponsmith", skillmin=270, skillmax=300 },
        { name="Lightsbane Diamond", skill="Artificer", skillmin=250, skillmax=300 },
        { name="Jagged Lightstone", skill="Artificer", skillmin=280, skillmax=305 },
        { name="Jagged Lightstone", skill="Armorsmith", skillmin=290, skillmax=305 },
        { name="Jagged Lightstone", skill="Weaponsmith", skillmin=290, skillmax=305 },
        { name="Jagged Lightstone", skill="Outfitter", skillmin=300, skillmax=305 },
        { name="Smooth Lightstone", skill="Outfitter", skillmin=280, skillmax=305 },
        { name="Smooth Lightstone", skill="Armorsmith", skillmin=290, skillmax=305 },
        { name="Smooth Lightstone", skill="Weaponsmith", skillmin=290, skillmax=305 },
        { name="Smooth Lightstone", skill="Artificer", skillmin=290, skillmax=380 },
        { name="Tourmaline", skill="Weaponsmith", skillmin=290, skillmax=380 },
        { name="Tourmaline", skill="Artificer", skillmin=290, skillmax=380 },
        { name="Sphalerite", skill="Mining", skillmin=300, skillmax=330 },
        { name="Sphalerite", skill="Weaponsmith", skillmin=330, skillmax=380 },
        { name="Sphalerite", skill="Artificer", skillmin=330, skillmax=380 },
        { name="Chrysoprase", skill="Artificer", skillmin=370, skillmax=380 },
        { name="Chrysoprase", skill="Weaponsmith", skillmin=370, skillmax=380 },
		{ name="Thalasite Crystal", skill="Artificer", skillmin=375, skillmax=445 },
        { name="Thalasite Crystal", skill="Weaponsmith", skillmin=375, skillmax=445 },
		{ name="Marlistone", skill="Gem Container", skillmin=0, skillmax=0 },
        { name="Rich Marlistone", skill="Gem Container", skillmin=0, skillmax=0 },
        { name="Fieldstone", skill="Gem Container", skillmin=0, skillmax=0 },
        { name="Agate", skill="Gem Container", skillmin=0, skillmax=0 },
        { name="Opal", skill="Gem Container", skillmin=0, skillmax=0 },
        { name="Geode", skill="Gem Container", skillmin=0, skillmax=0 },
		{ name="Lightstone Geode", skill="Gem Container", skillmin=0, skillmax=0 },
        { name="Beryl", skill="Gem Container", skillmin=0, skillmax=0 },
        { name="Corundum", skill="Gem Container", skillmin=0, skillmax=0 },
        { name="Diamond", skill="Gem Container", skillmin=0, skillmax=0 },
        { name="Lightspar Agate", skill="Gem Container", skillmin=0, skillmax=0 },
        { name="Pearlescent Puresource", skill="Planar Container", skillmin=0, skillmax=0 },
        { name="Empyrean Puresource", skill="Planar Container", skillmin=0, skillmax=0 },
        { name="Shimmering Puresource", skill="Planar Container", skillmin=0, skillmax=0 },
        { name="Planar Coalesence", skill="Planar Container", skillmin=0, skillmax=0 },
		{ name="Flickering Puresource", skill="Planar Container", skillmin=0, skillmax=0 },
		{ name="Perpetual Puresource", skill="Planar Container", skillmin=0, skillmax=0 },
		{ name="Eternal Puresource", skill="Planar Container", skillmin=0, skillmax=0 },
		{ name="Endless Puresource", skill="Planar Container", skillmin=0, skillmax=0 },
		{ name="Shifting Puresource", skill="Planar Container", skillmin=0, skillmax=0 },
		{ name="Enduring Puresource", skill="Planar Container", skillmin=0, skillmax=0 },
		{ name="Ethereal Puresource", skill="Planar Container", skillmin=0, skillmax=0 },
		{ name="Manifest Puresource", skill="Planar Container", skillmin=0, skillmax=0 },
        { name="Ahnkite", skill="Apothecary", skillmin=525, skillmax=530 },
		{ name="Ahnkite", skill="Armorsmith", skillmin=500, skillmax=530},
		{ name="Ahnkite", skill="Weaponsmith", skillmin=460, skillmax=530 },
		{ name="Ahnkite", skill="Artificer", skillmin=451, skillmax=540 },
		{ name="Ahnkite", skill="Dream Weaver", skillmin=525, skillmax=540 },
    },--material gem
    
    ["material component"] = {
		{ name="Cosmic Earth Core", skill="Crafting material for Planar Fragment upgrades.", skillmin=65, skillmax=70 },
		{ name="Cosmic Air Core", skill="Crafting material for Planar Fragment upgrades.", skillmin=65, skillmax=70 },
		{ name="Cosmic Fire Core", skill="Crafting material for Planar Fragment upgrades.", skillmin=65, skillmax=70 },
		{ name="Cosmic Water Core", skill="Crafting material for Planar Fragment upgrades.", skillmin=65, skillmax=70 },
		{ name="Cosmic Life Core", skill="Crafting material for Planar Fragment upgrades.", skillmin=65, skillmax=70 },
		{ name="Cosmic Death Core", skill="Crafting material for Planar Fragment upgrades.", skillmin=65, skillmax=70 },
		{ name="Flickering Powder", skill="Runecrafter", skillmin=1, skillmax=150 },
        { name="Flickering Powder", skill="Armorsmith", skillmin=90, skillmax=120 },
        { name="Flickering Powder", skill="Apothecary", skillmin=300, skillmax=305 },
        { name="Kinetic Arc", skill="Runecrafter", skillmin=1, skillmax=200 },
        { name="Sentience Spark", skill="Runecrafter", skillmin=1, skillmax=200 },
        { name="Perpetual Blur", skill="Runecrafter", skillmin=1, skillmax=140 },
        { name="Sparkling Powder", skill="Runecrafting", skillmin=30, skillmax=305 },
        { name="Sparkling Powder", skill="Weaponsmith", skillmin=100, skillmax=215 },
        { name="Sparkling Powder", skill="Artificer", skillmin=150, skillmax=305 },
        { name="Sparkling Powder", skill="Armorsmith", skillmin=185, skillmax=214 },
        { name="Sparkling Powder", skill="Outfitter", skillmin=190, skillmax=305 },
        { name="Sentience Surge", skill="Runecrafter", skillmin=60, skillmax=305 },
        { name="Flickering Shard", skill="Runecrafter", skillmin=60, skillmax=290 },
        { name="Kinetic Charge", skill="Runecrafter", skillmin=60, skillmax=305 },
        { name="Perpetual Glow", skill="Runecrafter", skillmin=60, skillmax=240 },
        { name="Sparkling Shard", skill="Runecrafter", skillmin=100, skillmax=300 },
        { name="Sparkling Shard", skill="Armorsmith", skillmin=290, skillmax=305 },
        { name="Sparkling Shard", skill="Outfitter", skillmin=290, skillmax=305 },
        { name="Flickering Crystal", skill="Runecrafter", skillmin=110, skillmax=305 },
        { name="Flickering Crystal", skill="Outfitter", skillmin=230, skillmax=305 },
        { name="Flickering Crystal", skill="Apothecary", skillmin=260, skillmax=305 },
        { name="Sentience Blast", skill="Runecrafter", skillmin=110, skillmax=305 },
        { name="Sentience Blast", skill="Armorsmith", skillmin=225, skillmax=300 },
        { name="Kinetic Burst", skill="Runecrafter", skillmin=110, skillmax=305 },
        { name="Kinetic Burst", skill="Weaponsmith", skillmin=270, skillmax=290 },
        { name="Perpetual Flare", skill="Runecrafter", skillmin=110, skillmax=330 },
        { name="Perpetual Flare", skill="Armorsmith", skillmin=260, skillmax=290 },
        { name="Perpetual Flare", skill="Outfitter", skillmin=260, skillmax=290 },
        { name="Sparkling Crystal", skill="Runecrafter", skillmin=230, skillmax=305 },
        { name="Sparkling Crystal", skill="Outfitter", skillmin=280, skillmax=305 },
        { name="Sparkling Crystal", skill="Weaponsmith", skillmin=300, skillmax=305 },
        { name="Sparkling Crystal", skill="Armorsmith", skillmin=300, skillmax=305 },
        { name="Sparkling Crystal", skill="Artificer", skillmin=300, skillmax=305 },
        { name="Emergent Cloud", skill="Runecrafter", skillmin=290, skillmax=375 },
        { name="Spiral Aurora", skill="Runecrafter", skillmin=290, skillmax=375 },
        { name="Wandering Star", skill="Runecrafter", skillmin=290, skillmax=375 },
        { name="Wandering Star", skill="Apothecary", skillmin=375, skillmax=375 },
        { name="Radiant Nucleus", skill="Runecrafter", skillmin=290, skillmax=375 },
        { name="Shimmering Crystal", skill="Runecrafter", skillmin=300, skillmax=305 },
        { name="Shimmering Crystal", skill="Artificer", skillmin=300, skillmax=305 },
        { name="Shimmering Crystal", skill="Armorsmith", skillmin=300, skillmax=305 },
        { name="Shimmering Crystal", skill="Weaponsmith", skillmin=300, skillmax=305 },
        { name="Shimmering Shard", skill="Runecrafter", skillmin=300, skillmax=305 },
        { name="Shimmering Shard", skill="Outfitter", skillmin=300, skillmax=305 },
        { name="Shimmering Shard", skill="Armorsmith", skillmin=300, skillmax=305 },
        { name="Shimmering Powder", skill="Runecrafter", skillmin=300, skillmax=305 },
        { name="Shimmering Powder", skill="Outfitter", skillmin=300, skillmax=305 },
        { name="Shimmering Powder", skill="Armorsmith", skillmin=300, skillmax=305 },
        { name="Shimmering Powder", skill="Weaponsmith", skillmin=300, skillmax=305 },
        { name="Branching Star", skill="Runecrafter", skillmin=320, skillmax=375 },
        { name="Solidifying Star", skill="Runecrafter", skillmin=375, skillmax=375 },
		{ name="Infinite Essence", skill="Runecrafter", skillmin=300, skillmax=330 },
		{ name="Capricious Star", skill="Runecrafter", skillmin=375, skillmax=480 },
		{ name="Capricious Star", skill="Outfitter", skillmin=420, skillmax=465 },
		{ name="Capricious Star", skill="Dream Weaver", skillmin=376, skillmax=465 },
		{ name="Capricious Star", skill="Apothecary", skillmin=420, skillmax=465 },
		{ name="Capricious Star", skill="Armorsmith", skillmin=420, skillmax=465 },
		{ name="Capricious Star", skill="Artificer", skillmin=450, skillmax=455 },
		{ name="Celestial Essence", skill="Runecrafter", skillmin=375, skillmax=380 },
		{ name="Dreaming Star", skill="Runecrafter", skillmin=375, skillmax=380 },
		{ name="Nightmare Star", skill="Runecrafter", skillmin=450, skillmax=480 },
		{ name="Heliacal Dust", skill="Runecrafter", skillmin=475, skillmax=505 },
        { name="Heliacal Star", skill="Runecrafter", skillmin=505, skillmax=535 },

		},--material component
		
		
    ["material plant"] = {
        { name="Coastal Glory", skill="Apothecary", skillmin=1, skillmax=210 },
        { name="Coastal Glory", skill="Foraging", skillmin=1, skillmax=60 },
        { name="Coastal Glory", skill="Quest: Salves for Scotty", skillmin=0, skillmax=0 },
        { name="Coastal Glory", skill="Quest: Magical Refreshment", skillmin=0, skillmax=0 },
        { name="Grieveblossom Petals", skill="Apothecary", skillmin=1, skillmax=80 },
        { name="Creeperbrush Roots", skill="Apothecary", skillmin=20, skillmax=80 },
        { name="Creeperbrush Roots", skill="Foraging", skillmin=30, skillmax=90 },
        { name="Razorbrush Leaves", skill="Apothecary", skillmin=50, skillmax=120 },
        { name="Razorbrush Leaves", skill="Foraging", skillmin=120, skillmax=150 },
        { name="Krakenweed Stems", skill="Apothecary", skillmin=60, skillmax=110 },
        { name="Krakenweed Stems", skill="Runecrafter", skillmin=300, skillmax=305 },
        { name="Duskglory Petals", skill="Apothecary", skillmin=80, skillmax=140 },
        { name="Duskglory Petals", skill="Foraging", skillmin=115, skillmax=135 },
        { name="Golden Nettle Stems", skill="Apothecary", skillmin=100, skillmax=140 },
        { name="Golden Nettle Stems", skill="Foraging", skillmin=115, skillmax=135 },
        { name="Evergreen Nettle Stems", skill="Apothecary", skillmin=110, skillmax=140 },
        { name="Potent Distillate", skill="Apothecary", skillmin=110, skillmax=190 },
        { name="Wyvernspurr Stems", skill="Apothecary", skillmin=120, skillmax=280 },
        { name="Wyvernspurr Stems", skill="Weaponsmith", skillmin=135, skillmax=165 },
        { name="Wyvernspurr Stems", skill="Foraging", skillmin=240, skillmax=270 },
        { name="Roc Orchid Petals", skill="Apothecary", skillmin=130, skillmax=200 },
        { name="Roc Orchid Petals", skill="Foraging", skillmin=180, skillmax=210 },
        { name="Tattertwist Leaves", skill="Apothecary", skillmin=140, skillmax=200 },
        { name="Tattertwist Leaves", skill="Foraging", skillmin=185, skillmax=205 },
        { name="Pure Distillate", skill="Apothecary", skillmin=160, skillmax=280 },
        { name="Drakefoot Stems", skill="Apothecary", skillmin=160, skillmax=260 },
        { name="Drakefoot Stems", skill="Survival", skillmin=240, skillmax=270 },
        { name="Drakefoot Seed", skill="Apothecary", skillmin=170, skillmax=260 },
        { name="Bloodshade Petals", skill="Apothecary", skillmin=190, skillmax=280 },
        { name="Bloodshade Petals", skill="Weaponsmith", skillmin=210, skillmax=240 },
        { name="Basiliskweed Stems", skill="Apothecary", skillmin=220, skillmax=305 },
        { name="Tempestflower Stems", skill="Apothecary", skillmin=230, skillmax=305 },
        { name="Tempestflower Stems", skill="Foraging", skillmin=260, skillmax=280 },
        { name="Tempestflower Stems", skill="Weaponsmith", skillmin=285, skillmax=300 },
        { name="Twilight Bloom Roots", skill="Foraging", skillmin=260, skillmax=280 },
        { name="Twilight Bloom Roots", skill="Apothecary", skillmin=270, skillmax=305 },
        { name="Pristine Distillate", skill="Apothecary", skillmin=270, skillmax=305 },
        { name="Chimera's Cloak Petals", skill="Apothecary", skillmin=290, skillmax=380 },
        { name="Chimera's Cloak Petals", skill="Foraging", skillmin=375, skillmax=375 },
        { name="Frazzleweed Tuft", skill="Apothecary", skillmin=301, skillmax=380 },
        { name="Frazzleweed Tuft", skill="Survival", skillmin=360, skillmax=380 },
        { name="Frazzleweed Tuft", skill="Foraging", skillmin=375, skillmax=375 },
        { name="Lucidflower Spire", skill="Apothecary", skillmin=330, skillmax=380 },
		{ name="Bloodbriar Stems", skill="Foraging", skillmin=1, skillmax=10 },
		{ name="Sarleaf", skill="Foraging", skillmin=375, skillmax=390 },
		{ name="Sovereign Solution", skill="Apothecary", skillmin=375, skillmax=380 },
		{ name="Sarleaf Extract", skill="Foraging", skillmin=375, skillmax=405 },
		{ name="Regal Distillate", skill="Foraging", skillmin=375, skillmax=380 },
        { name="Faecap Mushroom", skill="Foraging", skillmin=450, skillmax=525 },
        { name="Xarthian Tendril", skill="Foraging", skillmin=475, skillmax=525 },
        { name="Faecap Extract", skill="Foraging", skillmin=450, skillmax=475 },
        { name="Faecap Extract", skill="Apothecary", skillmin=60, skillmax=90 },
        { name="Faecap Extract", skill="Dream Weaver", skillmin=450, skillmax=480 },
        { name="Xarthian Extract", skill="Foraging", skillmin=475, skillmax=490 },
        { name="Xarthian Extract", skill="Apothecary", skillmin=451, skillmax=540 },
        { name="Xarthian Extract", skill="Dream Weaver", skillmin=500, skillmax=525 },
	},--material plant
    
	["material meat"] = {
		{ name="Tenderloin", skill="Survival", skillmin=1, skillmax=55 },
		{ name="Lean Steak", skill="Survival", skillmin=40, skillmax=90 },
		{ name="Lean Bacon", skill="Survival", skillmin=75, skillmax=160 },
		{ name="Rib Rack", skill="Survival", skillmin=175, skillmax=215 },
		{ name="Rich Steak", skill="Survival", skillmin=175, skillmax=300 },
		{ name="Rich Bacon", skill="Survival", skillmin=235, skillmax=305 },
		{ name="Prime Liver", skill="Survival", skillmin=310, skillmax=375 },
		{ name="Shank", skill="Survival", skillmin=340, skillmax=380 },
		{ name="Choice Cut", skill="Survival", skillmin=365, skillmax=380 },
		{ name="Brisket", skill="Survival", skillmin=375, skillmax=480 },
		{ name="Flank Steak", skill="Survival", skillmin=450, skillmax=540 },
		{ name="Flank Steak", skill="Apothecary", skillmin=480, skillmax=540 },
		{ name="Scatherran Pepper", skill="Survival", skillmin=450, skillmax=540 },
		{ name="Scatherran Pepper", skill="Apothecary", skillmin=510, skillmax=540 },
		{ name="Scatherran Pepper", skill="Dream Weaver", skillmin=500, skillmax=510 },
    },--material meat
		
		
	["ingredient"] = {
		{ name="Tenebrean Planar Attuner", skill="Crafting Good", skillmin=1, skillmax=1 },
		{ name="Thalasite Ingot", skill="Armorsmith", skillmin=450, skillmax=450},
		{ name="Thalasite Ingot", skill="Weaponsmith", skillmin=450, skillmax=450 },
		{ name="Lumber Sample", skill="Artificer", skillmin=50, skillmax=80 },
		{ name="Lumber Sample", skill="Weaponsmith", skillmin=50, skillmax=80 },
		{ name="Treated Wooden Pieces", skill="Weaponsmith", skillmin=300, skillmax=305 },
		{ name="Treated Wooden Pieces", skill="Artificer", skillmin=300, skillmax=305 },
		{ name="Smooth Lumber", skill="Weaponsmith", skillmin=150, skillmax=180 },
		{ name="Smooth Lumber", skill="Artificer", skillmin=150, skillmax=180 },
		{ name="Wooden Boards", skill="Weaponsmith", skillmin=300, skillmax=370 },
		{ name="Wooden Boards", skill="Artificer", skillmin=300, skillmax=370 },
		{ name="Metallic Bits", skill="Armorsmith", skillmin=50, skillmax=80 },
		{ name="Metallic Bits", skill="Weaponsmith", skillmin=50, skillmax=80 },
		{ name="Wooden Pieces", skill="Weaponsmith", skillmin=300, skillmax=305 },
		{ name="Wooden Pieces", skill="Artificer", skillmin=300, skillmax=305 },
		{ name="Metal Fragment", skill="Weaponsmith", skillmin=150, skillmax=180 },
		{ name="Metal Fragment", skill="Armorsmith", skillmin=150, skillmax=180 },
		{ name="Metal Widgets", skill="Weaponsmith", skillmin=300, skillmax=305 },
		{ name="Metal Widgets", skill="Armorsmith", skillmin=300, skillmax=305 },
		{ name="Preserved Lumber", skill="Weaponsmith", skillmin=225, skillmax=255 },
		{ name="Preserved Lumber", skill="Artificer", skillmin=225, skillmax=255 },
		{ name="Metal Scraps", skill="Weaponsmith", skillmin=300, skillmax=370 },
		{ name="Metal Scraps", skill="Armorsmith", skillmin=300, skillmax=370 },
		{ name="Treated Wooden Boards", skill="Weaponsmith", skillmin=375, skillmax=380 },
		{ name="Treated Wooden Boards", skill="Artificer", skillmin=375, skillmax=380 },
		{ name="Processed Metal", skill="Weaponsmith", skillmin=210, skillmax=255 },
		{ name="Processed Metal", skill="Armorsmith", skillmin=210, skillmax=255 },
		{ name="Processed Metal", skill="Use: Breaks down to create 5 Heavy Metal Chunks.", skillmin=0, skillmax=0 },
		{ name="Heavy Metal Chunk", skill="Weaponsmith", skillmin=225, skillmax=255 },
		{ name="Heavy Metal Chunk", skill="Armorsmith", skillmin=225, skillmax=255 },
		{ name="Refined Metal", skill="Weaponsmith", skillmin=300, skillmax=305 },
		{ name="Refined Metal", skill="Armorsmith", skillmin=300, skillmax=305 },
		{ name="Cloth Squares", skill="Outfitter", skillmin=50, skillmax=80 },
		{ name="Rugged Fabric", skill="Outfitter", skillmin=225, skillmax=255 },
		{ name="Unfinished Fabric", skill="Outfitter", skillmin=150, skillmax=180 },
		{ name="Leather Scraps", skill="Outfitter", skillmin=300, skillmax=370 },
		{ name="Leather Scraps", skill="Armorsmith", skillmin=300, skillmax=370 },
		{ name="Leather Pieces", skill="Outfitter", skillmin=150, skillmax=180 },
		{ name="Tooled Fabled Leather", skill="Outfitter", skillmin=450, skillmax=480 },
		{ name="Sarfiber Flakewood", skill="Weaponsmith", skillmin=450, skillmax=480 },
		{ name="Recut Thalasite Crystal", skill="Artificer", skillmin=450, skillmax=480 },
		{ name="Fabric Squares", skill="Outfitter", skillmin=300, skillmax=370 },
		{ name="Rewoven Diaphanous Cloth", skill="Outfitter", skillmin=450, skillmax=480 },
		{ name="Leather Strips", skill="Outfitter", skillmin=50, skillmax=80 },
		{ name="Pristine Leather Scraps", skill="Outfitter", skillmin=370, skillmax=380 },
		{ name="Pristine Leather Scraps", skill="Armorsmith", skillmin=370, skillmax=380 },
		{ name="Well-Worn Leather", skill="Outfitter", skillmin=225, skillmax=255 },
		{ name="Impressed Leather", skill="Outfitter", skillmin=300, skillmax=305 },
		{ name="Pristine Impressed Leather", skill="Outfitter", skillmin=300, skillmax=305 },
		{ name="Unwoven Threads", skill="Outfitter", skillmin=300, skillmax=305 },
		{ name="Exquisite Unwoven Threads", skill="Outfitter", skillmin=300, skillmax=305 },
		{ name="Risarian Minim", skill="Armorsmith", skillmin=450, skillmax=480 },
		{ name="Risarian Minim", skill="Artificer", skillmin=450, skillmax=480 },
		{ name="Risarian Minim", skill="Outfitter", skillmin=450, skillmax=480 },
		{ name="Risarian Minim", skill="Weaponsmith", skillmin=450, skillmax=480 },
        { name="Prism Fragments", skill="Apothecary", skillmin=300, skillmax=305 },
        { name="Blue Sweetberry", skill="Survival", skillmin=175, skillmax=380 },
        { name="Dawn's Parasol", skill="Survival", skillmin=225, skillmax=380 },
        { name="Red Sweetberry", skill="Survival", skillmin=1, skillmax=380 },
        { name="Ripe Golden Nettle", skill="Survival", skillmin=40, skillmax=105 },
        { name="Starbloom Heart", skill="Survival", skillmin=310, skillmax=380 },
        { name="Striped Pome", skill="Survival", skillmin=75, skillmax=300 },
        { name="Tropical Pome", skill="Survival", skillmin=275, skillmax=305 },
        { name="Gemstone Remnants", skill="Artificer", skillmin=300, skillmax=370 },
		{ name="Flawless Glimmering Fragment", skill="Artificer", skillmin=300, skillmax=305 },
        { name="Glimmering Fragment", skill="Artificer", skillmin=300, skillmax=305 },
        { name="Shard Fragments", skill="Apothecary", skillmin=50, skillmax=80 },
        { name="Clear Crystal", skill="Artificer", skillmin=225, skillmax=255 },
        { name="Crystal Fragments", skill="Apothecary", skillmin=300, skillmax=305 },
        { name="Depleted Infinity Shard", skill="Use: Combine 550 to create a Depleted Infinity Cell.", skillmin=0, skillmax=0 },
        { name="Exquisite Fabric Squares", skill="Outfitter", skillmin=375, skillmax=380 },
        { name="Flawless Gemstone Remnants", skill="Artificer", skillmin=375, skillmax=380 },
        { name="Gem Fragments", skill="Apothecary", skillmin=225, skillmax=255 },
        { name="Gemstone Fragments", skill="Artificer", skillmin=50, skillmax=80 },
        { name="Immaculate Inert Fragments", skill="Apothecary", skillmin=375, skillmax=380 },
        { name="Inert Crystal", skill="Apothecary : Use: Breaks down to create 5 Crystal Fragments. Salvaged by apothecaries from planar essences.", skillmin=0, skillmax=0 },
        { name="Inert Fragments", skill="Apothecary", skillmin=300, skillmax=350 },
        { name="Inert Gem", skill="Apothecary : Use: Breaks down to create 5 Gem Fragments. Salvaged by apothecaries from planar essences.", skillmin=0, skillmax=0 },
        { name="Inert Prism", skill="Apothecary : Use: Breaks down to create 5 Prism Fragments. Salvaged by apothecaries from planar essences.", skillmin=0, skillmax=0 },
        { name="Inert Shard", skill="Apothecary : Use: Breaks down to create 5 Shard Fragments. Salvaged by apothecaries from planar essences.", skillmin=0, skillmax=0 },
        { name="Inert Stone", skill="Apothecary : Use: Breaks down to create 5 Stone Fragments. Salvaged by apothecaries from planar essences.", skillmin=0, skillmax=0 },
        { name="Iridescent Powder", skill="Artificer", skillmin=150, skillmax=180 },
        { name="Pelagic Fragments", skill="Unknown", skillmin=0, skillmax=0 },
        { name="Polished Metal Scraps", skill="Armorsmith", skillmin=375, skillmax=380 },
        { name="Polished Metal Scraps", skill="Weaponsmith", skillmin=375, skillmax=380 },
        { name="Polished Metal Widgets", skill="Armorsmith", skillmin=300, skillmax=305 },
        { name="Polished Metal Widgets", skill="Weaponsmith", skillmin=300, skillmax=305 },
        { name="Processed Cloth", skill="Use: Breaks down to create 5 Rugged Fabric.", skillmin=0, skillmax=0 },
        { name="Processed Gem", skill="Use: Breaks down to create 5 Clear Crystals.", skillmin=0, skillmax=0 },
        { name="Processed Leather", skill="Use: Breaks down to create 5 Well-Worn Leather.", skillmin=0, skillmax=0 },
		{ name="Sea Peas", skill="Survival", skillmin=390, skillmax=480 },
		{ name="Stone Fragments", skill="Apothecary", skillmin=150, skillmax=180 },
        { name="Celestial Matrix", skill="Dream Weaver", skillmin=525, skillmax=540 },
        { name="Celestial Matrix", skill="Weaponsmith", skillmin=525, skillmax=530 },
        { name="Celestial Matrix", skill="Outfitter", skillmin=525, skillmax=530 },
        { name="Celestial Matrix", skill="Artificer", skillmin=525, skillmax=530 },
        { name="Celestial Matrix", skill="Armorsmith", skillmin=525, skillmax=530 },
        { name="Celestial Matrix", skill="Apothercary", skillmin=525, skillmax=530 },
        { name="Celestial Mote", skill="Runecrafter", skillmin=525, skillmax=530 },
		{ name="Imperishable Darkness", skill="Apothecary", skillmin=450, skillmax=480 },
		{ name="Imperishable Darkness", skill="Artificer", skillmin=450, skillmax=480 },
		{ name="Imperishable Darkness", skill="Dream Weaver", skillmin=450, skillmax=480 },
		{ name="Imperishable Darkness", skill="Fishing", skillmin=450, skillmax=480 },
		{ name="Imperishable Darkness", skill="Outfitter", skillmin=450, skillmax=480 },
		{ name="Imperishable Darkness", skill="Runecrafter", skillmin=450, skillmax=480 },
		{ name="Imperishable Darkness", skill="Weaponsmith", skillmin=450, skillmax=480 },
		{ name="Imperishable Flame", skill="Apothecary", skillmin=450, skillmax=480 },
		{ name="Imperishable Flame", skill="Artificer", skillmin=450, skillmax=480 },
		{ name="Imperishable Flame", skill="Dream Weaver", skillmin=450, skillmax=480 },
		{ name="Imperishable Flame", skill="Outfitter", skillmin=450, skillmax=480 },
		{ name="Imperishable Flame", skill="Runecrafter", skillmin=450, skillmax=480 },
		{ name="Imperishable Flame", skill="Weaponsmith", skillmin=450, skillmax=480 },
		{ name="Imperishable Life", skill="Apothecary", skillmin=450, skillmax=480 },
		{ name="Imperishable Life", skill="Armorsmith", skillmin=450, skillmax=480 },
		{ name="Imperishable Life", skill="Artificer", skillmin=450, skillmax=480 },
		{ name="Imperishable Life", skill="Dream Weaver", skillmin=450, skillmax=480 },
		{ name="Imperishable Life", skill="Fishing", skillmin=450, skillmax=480 },
		{ name="Imperishable Life", skill="Runecrafter", skillmin=450, skillmax=480 },
		{ name="Imperishable Life", skill="Weaponsmith", skillmin=450, skillmax=480 },
		{ name="Imperishable Terrene", skill="Apothecary", skillmin=450, skillmax=480 },
		{ name="Imperishable Terrene", skill="Armorsmith", skillmin=450, skillmax=480 },
		{ name="Imperishable Terrene", skill="Artificer", skillmin=450, skillmax=480 },
		{ name="Imperishable Terrene", skill="Dream Weaver", skillmin=450, skillmax=480 },
		{ name="Imperishable Terrene", skill="Fishing", skillmin=450, skillmax=480 },
		{ name="Imperishable Terrene", skill="Runecrafter", skillmin=450, skillmax=480 },
		{ name="Imperishable Terrene", skill="Weaponsmith", skillmin=450, skillmax=480 },
		{ name="Imperishable Tide", skill="Artificer", skillmin=450, skillmax=480 },
		{ name="Imperishable Tide", skill="Fishing", skillmin=450, skillmax=480 },
		{ name="Imperishable Tide", skill="Dream Weaver", skillmin=450, skillmax=480 },
		{ name="Imperishable Tide", skill="Outfitter", skillmin=450, skillmax=480 },
		{ name="Imperishable Tide", skill="Weaponsmith", skillmin=450, skillmax=480 },
		{ name="Imperishable Wind", skill="Apothecary", skillmin=450, skillmax=480 },
		{ name="Imperishable Wind", skill="Armorsmith", skillmin=450, skillmax=480 },
		{ name="Imperishable Wind", skill="Artificer", skillmin=450, skillmax=480 },
		{ name="Imperishable Wind", skill="Dream Weaver", skillmin=450, skillmax=480 },
		{ name="Imperishable Wind", skill="Fishing", skillmin=450, skillmax=480 },
		{ name="Imperishable Wind", skill="Weaponsmith", skillmin=450, skillmax=480 },
		{ name="Imperishable Darkness Mote", skill="Apothecary", skillmin=450, skillmax=480 },
		{ name="Imperishable Darkness Mote", skill="Artificer", skillmin=450, skillmax=480 },
		{ name="Imperishable Darkness Mote", skill="Dream Weaver", skillmin=450, skillmax=480 },
		{ name="Imperishable Darkness Mote", skill="Fishing", skillmin=450, skillmax=480 },
		{ name="Imperishable Darkness Mote", skill="Outfitter", skillmin=450, skillmax=480 },
		{ name="Imperishable Darkness Mote", skill="Runecrafter", skillmin=450, skillmax=480 },
		{ name="Imperishable Darkness Mote", skill="Weaponsmith", skillmin=450, skillmax=480 },
		{ name="Imperishable Flame Mote", skill="Apothecary", skillmin=450, skillmax=480 },
		{ name="Imperishable Flame Mote", skill="Artificer", skillmin=450, skillmax=480 },
		{ name="Imperishable Flame Mote", skill="Dream Weaver", skillmin=450, skillmax=480 },
		{ name="Imperishable Flame Mote", skill="Outfitter", skillmin=450, skillmax=480 },
		{ name="Imperishable Flame Mote", skill="Runecrafter", skillmin=450, skillmax=480 },
		{ name="Imperishable Flame Mote", skill="Weaponsmith", skillmin=450, skillmax=480 },
		{ name="Imperishable Life Mote", skill="Apothecary", skillmin=450, skillmax=480 },
		{ name="Imperishable Life Mote", skill="Armorsmith", skillmin=450, skillmax=480 },
		{ name="Imperishable Life Mote", skill="Artificer", skillmin=450, skillmax=480 },
		{ name="Imperishable Life Mote", skill="Dream Weaver", skillmin=450, skillmax=480 },
		{ name="Imperishable Life Mote", skill="Fishing", skillmin=450, skillmax=480 },
		{ name="Imperishable Life Mote", skill="Runecrafter", skillmin=450, skillmax=480 },
		{ name="Imperishable Life Mote", skill="Weaponsmith", skillmin=450, skillmax=480 },
		{ name="Imperishable Terrene Mote", skill="Apothecary", skillmin=450, skillmax=480 },
		{ name="Imperishable Terrene Mote", skill="Armorsmith", skillmin=450, skillmax=480 },
		{ name="Imperishable Terrene Mote", skill="Artificer", skillmin=450, skillmax=480 },
		{ name="Imperishable Terrene Mote", skill="Dream Weaver", skillmin=450, skillmax=480 },
		{ name="Imperishable Terrene Mote", skill="Fishing", skillmin=450, skillmax=480 },
		{ name="Imperishable Terrene Mote", skill="Runecrafter", skillmin=450, skillmax=480 },
		{ name="Imperishable Terrene Mote", skill="Weaponsmith", skillmin=450, skillmax=480 },
		{ name="Imperishable Tidal Mote", skill="Artificer", skillmin=450, skillmax=480 },
		{ name="Imperishable Tidal Mote", skill="Fishing", skillmin=450, skillmax=480 },
		{ name="Imperishable Tidal Mote", skill="Dream Weaver", skillmin=450, skillmax=480 },
		{ name="Imperishable Tidal Mote", skill="Outfitter", skillmin=450, skillmax=480 },
		{ name="Imperishable Tidal Mote", skill="Weaponsmith", skillmin=450, skillmax=480 },
		{ name="Imperishable Wind Mote", skill="Apothecary", skillmin=450, skillmax=480 },
		{ name="Imperishable Wind Mote", skill="Armorsmith", skillmin=450, skillmax=480 },
		{ name="Imperishable Wind Mote", skill="Artificer", skillmin=450, skillmax=480 },
		{ name="Imperishable Wind Mote", skill="Dream Weaver", skillmin=450, skillmax=480 },
		{ name="Imperishable Wind Mote", skill="Fishing", skillmin=450, skillmax=480 },
		{ name="Imperishable Wind Mote", skill="Weaponsmith", skillmin=450, skillmax=480 },
        { name="Cinnamon Bark", skill="Dream Weaver", skillmin=451, skillmax=526 },
        { name="Cinnamon Bark", skill="Survival", skillmin=451, skillmax=530 },
		{ name="Imperishable Prismatic Mote", skill="Fishing", skillmin=450, skillmax=465 },
		{ name="Imperishable Prismatic Mote", skill="Dream Weaver", skillmin=450, skillmax=465 },
		
	},--ingredient
	
	["ingredient rift"] = {
		{ name="Shifting Planar Dust", skill="Armorsmith", skillmin=150, skillmax=179},
		{ name="Shifting Planar Dust", skill="Weaponsmith", skillmin=150, skillmax=180 },
        { name="Shifting Planar Dust", skill="Apothecary", skillmin=70, skillmax=180 },
        { name="Shifting Planar Dust", skill="Outfitter", skillmin=150, skillmax=179 },
        { name="Shifting Planar Dust", skill="Artificer", skillmin=150, skillmax=180 },
        { name="Shifting Planar Dust", skill="Runecrafter", skillmin=100, skillmax=130 },
        { name="Ethereal Planar Dust", skill="Apothecary", skillmin=50, skillmax=80},
		{ name="Endless Planar Dust", skill="Armorsmith", skillmin=290, skillmax=305 },
		{ name="Endless Planar Dust", skill="Weaponsmith", skillmin=270, skillmax=305 },
		{ name="Endless Planar Dust", skill="Apothecary", skillmin=150, skillmax=305 },
		{ name="Endless Planar Dust", skill="Artificer", skillmin=170, skillmax=305 },
		{ name="Endless Planar Dust", skill="Outfitter", skillmin=290, skillmax=305 },
		{ name="Endless Planar Dust", skill="Runecrafter", skillmin=230, skillmax=260 },
		{ name="Enduring Planar Dust", skill="Armorsmith", skillmin=185, skillmax=255 },
		{ name="Enduring Planar Dust", skill="Weaponsmith", skillmin=185, skillmax=255 },
		{ name="Enduring Planar Dust", skill="Apothecary", skillmin=130, skillmax=255 },
		{ name="Enduring Planar Dust", skill="Artificer", skillmin=185, skillmax=255 },
		{ name="Enduring Planar Dust", skill="Outfitter", skillmin=185, skillmax=239 },
		{ name="Enduring Planar Dust", skill="Runecrafter", skillmin=170, skillmax=230 },
		{ name="Dragon Quintessence", skill="Unknown", skillmin=0, skillmax=0 },
		{ name="Empyrean Planar Dust", skill="Apothecary", skillmin=300, skillmax=380 },
		{ name="Empyrean Planar Dust", skill="Runecrafter", skillmin=375, skillmax=380 },
		{ name="Empyrean Planar Dust", skill="Armorsmith", skillmin=300, skillmax=380 },
		{ name="Empyrean Planar Dust", skill="Weaponsmith", skillmin=300, skillmax=380 },
		{ name="Empyrean Planar Dust", skill="Outfitter", skillmin=300, skillmax=380 },
		{ name="Empyrean Planar Dust", skill="Artificer", skillmin=300, skillmax=380 },
		{ name="Eternal Planar Dust", skill="Artificer", skillmin=300, skillmax=305 },
		{ name="Eternal Planar Dust", skill="Runecrafter", skillmin=290, skillmax=305 },
		{ name="Eternal Planar Dust", skill="Weaponsmith", skillmin=300, skillmax=305 },
		{ name="Eternal Planar Dust", skill="Armorsmith", skillmin=300, skillmax=305 },
		{ name="Eternal Planar Dust", skill="Apothecary", skillmin=250, skillmax=305 },
		{ name="Eternal Planar Dust", skill="Outfitter", skillmin=300, skillmax=305 },
		{ name="Malformed Soul", skill="Raid Rift Lure need 10 and a Raid Husk", skillmin=0, skillmax=0 },
		{ name="Corrupted Soul", skill="Expert Raid Rift Lure need 10 and a Raid Husk", skillmin=0, skillmax=0 },
		{ name="Voshan's Phylactery", skill="Unknown -- Up Grade Item", skillmin=0, skillmax=0 },
		{ name="Qaijiri Ritual Stone", skill="Unknown -- Up Grade Item", skillmin=0, skillmax=0 },
		{ name="Burning Core", skill="Unknown -- Up Grade Item", skillmin=0, skillmax=0 },
		{ name="Burning Earth Shard", skill="Unknown", skillmin=0, skillmax=0 },
	},--ingredient rift
		
	["ingredient reagent"] = {
		{ name="Light Varnish", skill="Artificer", skillmin=90, skillmax=240 },
		{ name="Light Varnish", skill="Foraging", skillmin=185, skillmax=205 },
		{ name="Light Varnish", skill="Weaponsmith", skillmin=100, skillmax=180 },
		{ name="Light Varnish", skill="Fishing", skillmin=120, skillmax=150 },
		{ name="Fine Grinding Stone", skill="Weaponsmith", skillmin=90, skillmax=305 },
		{ name="Fine Grinding Stone", skill="Armorsmith", skillmin=135, skillmax=180 },
		{ name="Premium Grinding Stone", skill="Weaponsmith", skillmin=250, skillmax=305 },
		{ name="Premium Grinding Stone", skill="Armorsmith", skillmin=260, skillmax=339 },
		{ name="Premium Grinding Stone", skill="Artificer", skillmin=260, skillmax=300 },
		{ name="Premium Grinding Stone", skill="Survival", skillmin=300, skillmax=335 },
		{ name="Coarse Grinding Stone", skill="Weaponsmith", skillmin=10, skillmax=180 },
		{ name="Superior Grinding Stone", skill="Weaponsmith", skillmin=160, skillmax=305 },
		{ name="Superior Grinding Stone", skill="Armorsmith", skillmin=210, skillmax=260 },
		{ name="Superior Grinding Stone", skill="Artificer", skillmin=230, skillmax=260 },
		{ name="Adamant Grinding Stone", skill="Weaponsmith", skillmin=290, skillmax=380 },
		{ name="Adamant Grinding Stone", skill="Armorsmith", skillmin=290, skillmax=380 },
		{ name="Empyrean Lacquer", skill="Weaponsmith", skillmin=290, skillmax=380 },
		{ name="Empyrean Lacquer", skill="Artificer", skillmin=360, skillmax=380 },
		{ name="Empyrean Lacquer", skill="Survival", skillmin=360, skillmax=380 },
		{ name="Composite Cord", skill="Weaponsmith", skillmin=110, skillmax=240 },
		{ name="Gnarled Core", skill="Armorsmith", skillmin=120, skillmax=170 },
		{ name="Gnarled Core", skill="Outfitter", skillmin=130, skillmax=160 },
		{ name="Gnarled Core", skill="Weaponsmith", skillmin=120, skillmax=150 },
		{ name="Gnarled Core", skill="Artificer", skillmin=110, skillmax=140 },
		{ name="Frozen Core", skill="Armorsmith", skillmin=300, skillmax=305 },
		{ name="Frozen Core", skill="Artificer", skillmin=300, skillmax=305 },
		{ name="Frozen Core", skill="Weaponsmith", skillmin=300, skillmax=305 },
		{ name="Unstable Flux", skill="Weaponsmith", skillmin=1, skillmax=180 },
		{ name="Unstable Flux", skill="Artificer", skillmin=1, skillmax=180 },
		{ name="Unstable Flux", skill="Armorsmith", skillmin=1, skillmax=90 },
		{ name="Attainium Crystal", skill="Armorsmith", skillmin=450, skillmax=480 },
		{ name="Attainium Crystal", skill="Artificer", skillmin=450, skillmax=480 },
		{ name="Attainium Crystal", skill="Runecrafter", skillmin=448, skillmax=493 },
		{ name="Attainium Crystal", skill="Outfitter", skillmin=450, skillmax=480 },
		{ name="Attainium Crystal", skill="Weaponsmith", skillmin=450, skillmax=480 },
		{ name="Attainium Crystal", skill="Dream Weaver", skillmin=430, skillmax=475 },
		{ name="Dark Pith", skill="Outfitter", skillmin=300, skillmax=305 },
		{ name="Dark Pith", skill="Apothecary", skillmin=300, skillmax=305 },
		{ name="Dark Pith", skill="Weaponsmith", skillmin=300, skillmax=305 },
		{ name="Dark Pith", skill="Armorsmith", skillmin=300, skillmax=305 },
		{ name="Catalytic Essence", skill="Apothecary", skillmin=300, skillmax=305 },
		{ name="Minor Catalyst", skill="Artificer", skillmin=300, skillmax=305 },
		{ name="Minor Catalyst", skill="Weaponsmith", skillmin=300, skillmax=305 },
		{ name="Minor Catalyst", skill="Runecrafter", skillmin=290, skillmax=305 },
		{ name="Gossamer Cord", skill="Weaponsmith", skillmin=310, skillmax=380 },
		{ name="Gossamer Cord", skill="Fishing", skillmin=375, skillmax=380 },
		{ name="Creeperseed Oil", skill="Outfitter", skillmin=300, skillmax=305 },
		{ name="Creeperseed Oil", skill="Artificer", skillmin=80, skillmax=170 },
		{ name="Creeperseed Oil", skill="Foraging", skillmin=115, skillmax=130 },
		{ name="Creeperseed Oil", skill="Weaponsmith", skillmin=20, skillmax=120 },
		{ name="Icebound Tear", skill="Apothecary", skillmin=300, skillmax=305 },
		{ name="Icebound Tear", skill="Armorsmith", skillmin=300, skillmax=305 },
		{ name="Icebound Tear", skill="Outfitter", skillmin=430050, skillmax=305 },
		{ name="Cracked Core", skill="Artificer", skillmin=170, skillmax=230 },
		{ name="Shadow Core", skill="Weaponsmith", skillmin=90, skillmax=130 },
		{ name="Shadow Core", skill="Artificer", skillmin=90, skillmax=130 },
		{ name="Shadow Core", skill="Armorsmith", skillmin=90, skillmax=120 },
		{ name="Shadow Core", skill="Outfitter", skillmin=90, skillmax=120 },
		{ name="Enchanted Core", skill="Armorsmith", skillmin=60, skillmax=90 },
		{ name="Enchanted Core", skill="Weaponsmith", skillmin=50, skillmax=90 },
		{ name="Enchanted Core", skill="Artificer", skillmin=50, skillmax=80 },
		{ name="Glowing Core", skill="Outfitter", skillmin=190, skillmax=220 },
		{ name="Glowing Core", skill="Weaponsmith", skillmin=180, skillmax=210 },
		{ name="Glowing Core", skill="Armorsmith", skillmin=190, skillmax=220 },
		{ name="Brightshale", skill="Artificer", skillmin=300, skillmax=305 },
		{ name="Brightshale", skill="Weaponsmith", skillmin=300, skillmax=305 },
		{ name="Brightshale", skill="Outfitter", skillmin=300, skillmax=305 },
		{ name="Tarnished Mathosian Gauntlets", skill="Armorsmith", skillmin=300, skillmax=305 },
		{ name="Tarnished Mathosian Barbute", skill="Armorsmith", skillmin=300, skillmax=305 },
		{ name="Tarnished Mathosian Pauldrons", skill="Armorsmith", skillmin=300, skillmax=305 },
		{ name="Tarnished Mathosian Greaves", skill="Armorsmith", skillmin=300, skillmax=305 },
		{ name="Tarnished Mathosian Tabard", skill="Armorsmith", skillmin=300, skillmax=305 },
		{ name="Tarnished Mathosian Leggings", skill="Armorsmith", skillmin=300, skillmax=305 },
		{ name="Steeled Cord", skill="Weaponsmith", skillmin=80, skillmax=170 },
		{ name="Silken Thread", skill="Outfitter", skillmin=230, skillmax=305 },
		{ name="Empyrean Essence", skill="Runecrafter", skillmin=380, skillmax=300 },
		{ name="Sinew Cord", skill="Weaponsmith", skillmin=1, skillmax=90 },
		{ name="Major Catalyst", skill="Apothecary", skillmin=375, skillmax=380 },
		{ name="Infinity Cauldron", skill="Mining", skillmin=300, skillmax=375 },
		{ name="Infinity Cauldron", skill="Foraging", skillmin=300, skillmax=375 },
		{ name="Infinity Cauldron", skill="Butchering", skillmin=300, skillmax=375 },
		{ name="Coruscating Ethereal Shard", skill="Planar Essence Upgrade Item", skillmin=0, skillmax=0 },
		{ name="Catalytic Dust", skill="Apothecary", skillmin=375, skillmax=380 },
		{ name="Scarn's Hide", skill="Outfitter", skillmin=300, skillmax=305 },
		{ name="Dead Core", skill="Outfitter", skillmin=300, skillmax=305 },
		{ name="Dead Core", skill="Weaponsmith", skillmin=300, skillmax=305 },
		{ name="Rusty Core", skill="Unknown", skillmin=0, skillmax=0 },
		{ name="Evergreen Core", skill="Armorsmith", skillmin=60, skillmax=90 },
		{ name="Evergreen Core", skill="Weaponsmith", skillmin=50, skillmax=90 },
		{ name="Evergreen Core", skill="Artificer", skillmin=50, skillmax=80 },
		{ name="Dust of the Void", skill="Planar Essence up Grade Item.", skillmin=0, skillmax=0 },
		{ name="Stone Core", skill="Weaponsmith", skillmin=90, skillmax=130 },
		{ name="Stone Core", skill="Artificer", skillmin=90, skillmax=130 },
		{ name="Stone Core", skill="Armorsmith", skillmin=80, skillmax=120 },
		{ name="Shimmering Core", skill="Artificer", skillmin=300, skillmax=305 },
		{ name="Shimmering Core", skill="Armorsmith", skillmin=300, skillmax=305 },
		{ name="Shimmering Core", skill="Weaponsmith", skillmin=300, skillmax=305 },
		{ name="Disintegrating Blend", skill="Apothecary", skillmin=375, skillmax=480 },
		{ name="Salt Flux", skill="Weaponsmith", skillmin=375, skillmax=490 },
		{ name="Salt Flux", skill="Armorsmith", skillmin=375, skillmax=465 },
		{ name="Inelastic Thread", skill="Outfitter", skillmin=375, skillmax=475 },
		{ name="Impervious Vellum", skill="Artificer", skillmin=430, skillmax=475 },
		{ name="Essence of Carmot", skill="Runecrafter", skillmin=10, skillmax=21 },
		{ name="Essence of Alkahest", skill="Runecrafter", skillmin=60, skillmax=130 },
		{ name="Essence of Berith", skill="Runecrafter", skillmin=230, skillmax=305 },
		{ name="Essence of Arcanum", skill="Runecrafter", skillmin=110, skillmax=230 },
		{ name="Essence of Reverie", skill="Runecrafter", skillmin=375, skillmax=475 },
		{ name="Crustacean Oil", skill="Runecrafter", skillmin=375, skillmax=465 },
		{ name="Byssal Cord", skill="Weaponsmith", skillmin=376, skillmax=430 },
		{ name="Minor Flux", skill="Weaponsmith", skillmin=150, skillmax=302 },
		{ name="Minor Flux", skill="Artificer", skillmin=150, skillmax=302 },
		{ name="Minor Flux", skill="Armorsmith", skillmin=150, skillmax=245 },
		{ name="Heavy Lacquer", skill="Artificer", skillmin=230, skillmax=302 },
		{ name="Heavy Lacquer", skill="Weaponsmith", skillmin=170, skillmax=302 },
		{ name="Heavy Lacquer", skill="Foraging", skillmin=280, skillmax=290 },
		{ name="Heavy Lacquer", skill="Fishing", skillmin=240, skillmax=260 },
		{ name="Artisan Ley-lined Vellum", skill="Artificer", skillmin=375, skillmax=380 },
		{ name="Exceptional Ley-lined Vellum", skill="Artificer", skillmin=350, skillmax=377 },
		{ name="Superior Ley-lined Vellum", skill="Artificer", skillmin=300, skillmax=340 },
		{ name="Artisan Parchment", skill="Artificer", skillmin=115, skillmax=135 },
		{ name="Artisan Vellum", skill="Artificer", skillmin=270, skillmax=290 },
		{ name="Vitreous Oil", skill="Outfitter", skillmin=290, skillmax=377 },
		{ name="Top Grade Sulfur", skill="Apothecary", skillmin=20, skillmax=440 },
		{ name="Corrosive Blend", skill="Apothecary", skillmin=150, skillmax=302 },
		{ name="Corrosive Blend", skill="Foraging", skillmin=115, skillmax=125 },
		{ name="Emulsifying Blend", skill="Foraging", skillmin=375, skillmax=377 },
		{ name="Caustic Blend", skill="Apothecary", skillmin=30, skillmax=260 },
		{ name="Emulsifying Blend", skill="Apothecary", skillmin=300, skillmax=377 },
		{ name="Caustic Blend", skill="Artificer", skillmin=180, skillmax=240 },
		{ name="Ground Spices", skill="Survival", skillmin=1, skillmax=525 },
		{ name="Fresh Herbs", skill="Survival", skillmin=1, skillmax=510 },
		{ name="Standard Parchment", skill="Artificer", skillmin=1, skillmax=50 },
		{ name="Standard Vellum", skill="Artificer", skillmin=145, skillmax=205 },
		{ name="Superior Polishing Agent", skill="Artificer", skillmin=150, skillmax=302 },
		{ name="Major Flux", skill="Artificer", skillmin=230, skillmax=302 },
		{ name="Major Flux", skill="Weaponsmith", skillmin=230, skillmax=302 },
		{ name="Major Flux", skill="Survival", skillmin=300, skillmax=302 },
		{ name="Major Flux", skill="Armorsmith", skillmin=230, skillmax=302 },
		{ name="Creature Oil", skill="Outfitter", skillmin=80, skillmax=245 },
		{ name="Exceptional Parchment", skill="Artificer", skillmin=75, skillmax=130 },
		{ name="Mixed Vegetables", skill="Survival", skillmin=20, skillmax=495 },
		{ name="Amber Wax", skill="Artificer", skillmin=290, skillmax=377 },
		{ name="Amber Wax", skill="Apothecary", skillmin=315, skillmax=377 },
		{ name="Aqua Regia", skill="Apothecary", skillmin=120, skillmax=302 },
		{ name="Aqua Regia", skill="Foraging", skillmin=260, skillmax=270 },
		{ name="Aqua Regia", skill="Artificer", skillmin=110, skillmax=170 },
		{ name="Heat Stone", skill="Artificer", skillmin=20, skillmax=270 },
		{ name="Bone Oil", skill="Outfitter", skillmin=1, skillmax=170 },
		{ name="Lime", skill="Artificer", skillmin=1, skillmax=135 },
		{ name="Purified Lime", skill="Artificer", skillmin=145, skillmax=290 },
		{ name="Empyrean Lime", skill="Artificer", skillmin=310, skillmax=395 },
		{ name="Set of Crystal Flasks", skill="Apothecary", skillmin=20, skillmax=540 },
		{ name="Plain Thread", skill="Outfitter", skillmin=80, skillmax=169 },
		{ name="Crimson Wax", skill="Artificer", skillmin=150, skillmax=302 },
		{ name="Viridian Wax", skill="Artificer", skillmin=80, skillmax=245 },
		{ name="Aqua Fortis", skill="Apothecary", skillmin=30, skillmax=302 },
		{ name="Strong Thread", skill="Outfitter", skillmin=290, skillmax=377 },
		{ name="Runewoven Cord", skill="Weaponsmith", skillmin=230, skillmax=302 },
		{ name="Runewoven Cord", skill="Survival", skillmin=240, skillmax=260 },
		{ name="Anhydrous Polishing Agent", skill="Artificer", skillmin=290, skillmax=475 },
		{ name="Mineral Oil", skill="Outfitter", skillmin=230, skillmax=302 },
		{ name="Stable Flux", skill="Weaponsmith", skillmin=80, skillmax=255 },
		{ name="Stable Flux", skill="Artificer", skillmin=80, skillmax=255 },
		{ name="Stable Flux", skill="Armorsmith", skillmin=80, skillmax=180 },
		{ name="Ethereal Flux", skill="Weaponsmith", skillmin=300, skillmax=305 },
		{ name="Ethereal Flux", skill="Armorsmith", skillmin=300, skillmax=305 },
		{ name="Ethereal Flux", skill="Artificer", skillmin=300, skillmax=305 },
		{ name="Ethereal Flux", skill="Mining", skillmin=375, skillmax=380 },
		{ name="Enchanted Lacquer", skill="Survival", skillmin=300, skillmax=380 },
		{ name="Enchanted Lacquer", skill="Foraging", skillmin=300, skillmax=380 },
		{ name="Enchanted Lacquer", skill="Weaponsmith", skillmin=300, skillmax=305 },
		{ name="Animal Glue", skill="Weaponsmith", skillmin=50, skillmax=300 },
		{ name="Animal Glue", skill="Artificer", skillmin=1, skillmax=90 },
		{ name="Basic Ink", skill="Artificer", skillmin=30, skillmax=100 },
		{ name="Fine Ink", skill="Artificer", skillmin=110, skillmax=180 },
		{ name="Superior Ink", skill="Artificer", skillmin=110, skillmax=250 },
		{ name="Artisan Ink", skill="Artificer", skillmin=280, skillmax=305 },
		{ name="Basic Polishing Agent", skill="Artificer", skillmin=10, skillmax=180 },
		{ name="Animal Glue", skill="Weaponsmith", skillmin=50, skillmax=300 },
		{ name="Animal Glue", skill="Artificer", skillmin=1, skillmax=90 },
		{ name="Cerulean Wax", skill="Artificer", skillmin=1, skillmax=180 },
		{ name="Translucent Wax", skill="Artificer", skillmin=280, skillmax=305 },
		{ name="Neatsfoot Oil", skill="Outfitter", skillmin=150, skillmax=249 },
		{ name="Magical Oil", skill="Outfitter", skillmin=300, skillmax=380 },
		{ name="Coarse Thread", skill="Outfitter", skillmin=1, skillmax=99 },
		{ name="Coarse Thread", skill="Armorsmith", skillmin=60, skillmax=90 },
		{ name="Fine Thread", skill="Outfitter", skillmin=120, skillmax=260 },
		{ name="Fine Thread", skill="Armorsmith", skillmin=210, skillmax=240 },
		{ name="Fine Thread", skill="Butchering", skillmin=185, skillmax=205 },
		{ name="Gilded Thread", skill="Outfitter", skillmin=300, skillmax=305 },
		{ name="Gilded Thread", skill="Armorsmith", skillmin=300, skillmax=305 },
		{ name="Gilded Thread", skill="Survival", skillmin=300, skillmax=305 },
		{ name="Set of Gilded Bottles", skill="Apothecary", skillmin=1, skillmax=540 },
        { name="Sea Salt", skill="Survival", skillmin=10, skillmax=460 },
        { name="Planar Cane", skill="Survival", skillmin=1, skillmax=540 },
        { name="Dough", skill="Survival", skillmin=1, skillmax=530 },
        { name="Soup Stock", skill="Survival", skillmin=1, skillmax=480 },
        { name="Superior Parchment", skill="Artificer", skillmin=70, skillmax=100 },
        { name="Exceptional Vellum", skill="Artificer", skillmin=280, skillmax=300 },
        { name="Active Flux", skill="Armorsmith", skillmin=290, skillmax=380 },
        { name="Active Flux", skill="Weaponsmith", skillmin=290, skillmax=380 },
        { name="Active Flux", skill="Artificer", skillmin=300, skillmax=380 },
        { name="Shell Grinding Stone", skill="Weaponsmith", skillmin=375, skillmax=480 },
        { name="Shell Grinding Stone", skill="Armorsmith", skillmin=375, skillmax=435 },
        { name="Coral Lacquer", skill="Weaponsmith", skillmin=375, skillmax=490 },
        { name="Coral Lacquer", skill="Armorsmith", skillmin=376, skillmax=440 },
        { name="Waterproof Ink", skill="Artificer", skillmin=376, skillmax=475 },
        { name="Teal Wax", skill="Artificer", skillmin=375, skillmax=490 },
        { name="Rosin Flux", skill="Armorsmith", skillmin=375, skillmax=380 },
        { name="Rosin Flux", skill="Artificer", skillmin=375, skillmax=380 },
        { name="Rosin Flux", skill="Weaponsmith", skillmin=375, skillmax=380 },
        { name="Byssal Cord", skill="Weaponsmith", skillmin=375, skillmax=440 },
        { name="Enchanted Empyrean Lacquer", skill="Weaponsmith", skillmin=375, skillmax=380 },
        { name="Elegant Thread", skill="Outfitter", skillmin=375, skillmax=380 },
        { name="Empyrean Polishing Agent", skill="Artificer", skillmin=375, skillmax=380 },
        { name="Indelible Ink", skill="Artificer", skillmin=310, skillmax=380 },
        { name="Ancient Parchment", skill="Unknown", skillmin=0, skillmax=0 },
		{ name="Strands of Arak", skill="Dream Weaver", skillmin=450, skillmax=480 },
		{ name="Strands of Arak", skill="Apothecary", skillmin=450, skillmax=480 },
		{ name="Strands of Arak", skill="Mining", skillmin=450, skillmax=480 },
		{ name="Strands of Draum", skill="Dream Weaver", skillmin=450, skillmax=480 },
		{ name="Strands of Draum", skill="Apothecary", skillmin=450, skillmax=480 },
		{ name="Strands of Draum", skill="Mining", skillmin=450, skillmax=480 },
		{ name="Strands of Draum", skill="Runecrafter", skillmin=450, skillmax=480 },
		{ name="Strands of Draum", skill="Armorsmith", skillmin=450, skillmax=480 },
		{ name="Strands of Draum", skill="Weaponsmith", skillmin=450, skillmax=480 },
		{ name="Strands of Draum", skill="Outfitter", skillmin=450, skillmax=480 },
		{ name="Strands of Draum", skill="Artificer", skillmin=450, skillmax=480 },
		{ name="Cosmic Fragment", skill="Dream Weaver", skillmin=450, skillmax=480 },
        { name="Alkaline Blend", skill="Apothecary", skillmin=450, skillmax=540 },
        { name="Alkaline Blend", skill="Dream Weaver", skillmin=451, skillmax=526 },
        { name="Blackthorn Varnish", skill="Armorsmith", skillmin=450, skillmax=540 },
        { name="Blackthorn Varnish", skill="Artificer", skillmin=451, skillmax=540 },
        { name="Blackthorn Varnish", skill="Dream Weaver", skillmin=451, skillmax=526 },
        { name="Blackthorn Varnish", skill="Weaponsmith", skillmin=460, skillmax=535 },
        { name="Carbide Grinding Stone", skill="Armorsmith", skillmin=450, skillmax=540 },
        { name="Carbide Grinding Stone", skill="Weaponsmith", skillmin=450, skillmax=530 },
        { name="Carbide Grinding Stone", skill="Dream Weaver", skillmin=490, skillmax=530 },
        { name="Carbonaceous Ink", skill="Dream Weaver", skillmin=451, skillmax=540 },
        { name="Carbonaceous Ink", skill="Artificer", skillmin=480, skillmax=535 },
        { name="Essence of Fate", skill="Runecrafter", skillmin=450, skillmax=535 },
        { name="Essence of Fate", skill="Dream Weaver", skillmin=475, skillmax=535 },
        { name="Fae Thread", skill="Outfitter", skillmin=450, skillmax=540 },
        { name="Fae Thread", skill="Armorsmith", skillmin=451, skillmax=526 },
        { name="Fae Thread", skill="Dream Weaver", skillmin=525, skillmax=530 },
        { name="Solar Flux", skill="Artificer", skillmin=451, skillmax=526 },
        { name="Solar Flux", skill="Armorsmith", skillmin=450, skillmax=540 },
        { name="Solar Flux", skill="Weaponsmith", skillmin=451, skillmax=535 },
        { name="Solar Flux", skill="Dream Weaver", skillmin=470, skillmax=500 },
        { name="Stygian Wax", skill="Artificer", skillmin=450, skillmax=540 },
        { name="Sylvan Cord", skill="Fishing", skillmin=500, skillmax=506 },
        { name="Sylvan Cord", skill="Outfitter", skillmin=451, skillmax=526 },
        { name="Sylvan Cord", skill="Weaponsmith", skillmin=451, skillmax=535 },
        { name="Tenebrean Planar Attuner", skill="Weaponsmith", skillmin=525, skillmax=530 },
        { name="Tenebrean Planar Attuner", skill="Outfitter", skillmin=525, skillmax=530 },
        { name="Tenebrean Planar Attuner", skill="Armorsmith", skillmin=525, skillmax=530 },
        { name="Tenebrean Planar Attuner", skill="Artificer", skillmin=525, skillmax=530 },
        { name="Tenebrean Planar Attuner", skill="Apothecary", skillmin=525, skillmax=530 },
        { name="Tenebrean Vellum", skill="Artificer", skillmin=480, skillmax=510 },
        { name="Xarthian Oil", skill="Weaponsmith", skillmin=450, skillmax=500 },
        { name="Xarthian Oil", skill="Outfitter", skillmin=450, skillmax=540 },
        { name="Chondritic Planar Dust", skill="Armorsmith", skillmin=460, skillmax=530 },
        { name="Chondritic Planar Dust", skill="Outfitter", skillmin=460, skillmax=530 },
        { name="Chondritic Planar Dust", skill="Runecrafter", skillmin=470, skillmax=530 },
        { name="Chondritic Planar Dust", skill="Dream Weaver", skillmin=475, skillmax=540 },
        { name="Chondritic Planar Dust", skill="Artificer", skillmin=500, skillmax=530 },
        { name="Chondritic Planar Dust", skill="Weaponsmith", skillmin=500, skillmax=530 },
        { name="Chondritic Planar Dust", skill="Apothecary", skillmin=500, skillmax=530 },
		{ name="Endless Dust", skill="Artificer", skillmin=450, skillmax=480 },
		{ name="Endless Dust", skill="Runecrafter", skillmin=450, skillmax=480 },
		{ name="Endless Dust", skill="Apothecary", skillmin=450, skillmax=480 },
		{ name="Endless Dust", skill="Dream Weaver", skillmin=450, skillmax=480 },
        { name="Heliacal Dust", skill="Runecrafter", skillmin=475, skillmax=505 },
        { name="Heliacal Star", skill="Runecrafter", skillmin=505, skillmax=535 },
        { name="Tenebrean Star", skill="Runecrafter", skillmin=505, skillmax=535 },
        { name="Fragments of the Broken Pantheon", skill="Runecrafter", skillmin=425, skillmax=535 },
        { name="Fragments of the Broken Pantheon", skill="Weaponsmith", skillmin=425, skillmax=535 },
        { name="Fragments of the Broken Pantheon", skill="Armorsmith", skillmin=425, skillmax=535 },
        { name="Fragments of the Broken Pantheon", skill="Dream Weaver", skillmin=425, skillmax=535 },
        { name="Fragments of the Broken Pantheon", skill="Artificer", skillmin=425, skillmax=535 },
        { name="Fragments of the Broken Pantheon", skill="Outfitter", skillmin=425, skillmax=535 },
        { name="Fragments of the Broken Pantheon", skill="Apothecary", skillmin=425, skillmax=535 },
		
	},--ingredient reagent
		 
	["ingredient drop"] = {
		{ name="Soul of the Storm", skill="Armorsmith", skillmin=375, skillmax=380 },
		{ name="Soul of the Storm", skill="Weaponsmith", skillmin=375, skillmax=380 },
		{ name="Soul of the Storm", skill="Artificer", skillmin=375, skillmax=380 },
		{ name="Soul of the Storm", skill="Outfitter", skillmin=375, skillmax=380 },
		{ name="Unstable Catalyst", skill="Artificer", skillmin=300, skillmax=305 },
		{ name="Unstable Catalyst", skill="Weaponsmith", skillmin=300, skillmax=305 },
		{ name="Unstable Catalyst", skill="Apothecary", skillmin=300, skillmax=305 },
		{ name="Unstable Catalyst", skill="Outfitter", skillmin=300, skillmax=305 },
		{ name="Unstable Catalyst", skill="Armorsmith", skillmin=300, skillmax=305 },
		{ name="Infernal Phylactery", skill="Weaponsmith", skillmin=300, skillmax=305 },
		{ name="Infernal Phylactery", skill="Artificer", skillmin=300, skillmax=305 },
		{ name="Soul of the Dead", skill="Armorsmith", skillmin=375, skillmax=380 },
		{ name="Soul of the Dead", skill="Weaponsmith", skillmin=375, skillmax=380 },
		{ name="Soul of the Dead", skill="Artificer", skillmin=375, skillmax=380 },
		{ name="Soul of the Dead", skill="Outfitter", skillmin=375, skillmax=380 },
		{ name="Crystalized Soul", skill="Armorsmith", skillmin=300, skillmax=305 },
		{ name="Crystalized Soul", skill="Artificer", skillmin=300, skillmax=305 },
		{ name="Crystalized Soul", skill="Outfitter", skillmin=300, skillmax=305 },
		{ name="Enflamed Soul", skill="Outfitter", skillmin=300, skillmax=305 },
		{ name="Enflamed Soul", skill="Armorsmith", skillmin=300, skillmax=305 },
		{ name="Enflamed Soul", skill="Weaponsmith", skillmin=300, skillmax=305 },
		{ name="Warp of the Sliver", skill="Weaponsmith", skillmin=375, skillmax=380 },
		{ name="Warp of the Sliver", skill="Armorsmith", skillmin=375, skillmax=380 },
		{ name="Warp of the Sliver", skill="Artificer", skillmin=375, skillmax=380 },
		{ name="Warp of the Sliver", skill="Outfitter", skillmin=375, skillmax=380 },
		{ name="Warp of the Sliver", skill="Item upgrade", skillmin=0, skillmax=0 },
		
	},--ingredient drop
		
	["material"] = {
		{ name="Metal Amender", skill="Armorsmith", skillmin=450, skillmax=470 },
        { name="Advanced Metal Amender", skill="Armorsmith", skillmin=450, skillmax=480 },
		{ name="Tormenting Metal Amender", skill="Armorsmith", skillmin=450, skillmax=480 },
		{ name="Nightmare Metal Amender", skill="Armorsmith", skillmin=450, skillmax=480 },
		{ name="Abyssal Opal", skill="Artificer", skillmin=60, skillmax=90 },
        { name="Advanced Ornament Amender", skill="Artificer", skillmin=450, skillmax=480 },
		{ name="Dreaming Ornament Amender", skill="Artificer", skillmin=450, skillmax=480 },
		{ name="Opaque Ornament Amender", skill="Artificer", skillmin=450, skillmax=480 },
        { name="Ornament Amender", skill="Artificer", skillmin=450, skillmax=480 },
        { name="Advanced Rune Amender", skill="Runecrafter", skillmin=450, skillmax=480 },
        { name="Rune Amender", skill="Runecrafter", skillmin=448, skillmax=480 },
		{ name="Opaque Rune Amender", skill="Runecrafter", skillmin=448, skillmax=480 },
		{ name="Dreaming Rune Amender", skill="Runecrafter", skillmin=448, skillmax=480 },
        { name="Advanced Textile Amender", skill="Outfitter", skillmin=450, skillmax=480 },
        { name="Textile Amender", skill="Outfitter", skillmin=450, skillmax=480 },
		{ name="Tormenting Textile Amender", skill="Outfitter", skillmin=450, skillmax=480 },
		{ name="Nightmare Textile Amender", skill="Outfitter", skillmin=450, skillmax=480 },
        { name="Advanced Weapon Amender", skill="Weaponsmith", skillmin=450, skillmax=480 },
        { name="Weapon Amender", skill="Weaponsmith", skillmin=450, skillmax=480 },
		{ name="Tormenting Weapon Amender", skill="Weaponsmith", skillmin=450, skillmax=480 },
		{ name="Nightmare Weapon Amender", skill="Weaponsmith", skillmin=450, skillmax=480 },
		{ name="Nightmare Amalgamation", skill="Apothecary", skillmin=450, skillmax=480 },
		{ name="Nightmare Distillate", skill="Apothecary", skillmin=450, skillmax=480 },
		{ name="Nightmare Ichor", skill="Apothecary", skillmin=450, skillmax=480 },
		{ name="Nightmare Solution", skill="Apothecary", skillmin=450, skillmax=480 },
		{ name="Lucid Dreams", skill="Dream Weaver", skillmin=450, skillmax=480 },
		{ name="Lucid Dreams", skill="Artificer", skillmin=450, skillmax=480 },
		{ name="Lucid Dreams", skill="Runecrafter", skillmin=450, skillmax=480 },
		{ name="Hazy Dreams", skill="Artificer", skillmin=450, skillmax=480 },
		{ name="Hazy Dreams", skill="Runecrafter", skillmin=450, skillmax=480 },
		{ name="Hazy Dreams", skill="Dream Weaver", skillmin=450, skillmax=480 },
		{ name="Faint Dreams", skill="Artificer", skillmin=450, skillmax=480 },
		{ name="Faint Dreams", skill="Runecrafter", skillmin=450, skillmax=480 },
		{ name="Faint Dreams", skill="Dream Weaver", skillmin=450, skillmax=480 },
		{ name="Nightmare Distillate", skill="Armorsmith", skillmin=450, skillmax=480 },
		{ name="Nightmare Distillate", skill="Outfitter", skillmin=450, skillmax=480 },
		{ name="Nightmare Distillate", skill="Weaponsmith", skillmin=450, skillmax=480 },
		{ name="Nightmare Ichor", skill="Armorsmith", skillmin=450, skillmax=480 },
		{ name="Nightmare Ichor", skill="Outfitter", skillmin=450, skillmax=480 },
		{ name="Nightmare Ichor", skill="Weaponsmith", skillmin=450, skillmax=480 },
		{ name="Nightmare Ichor", skill="Apothecary", skillmin=450, skillmax=480 },
        { name="Visionary Dream Amender", skill="Dream Weaver", skillmin=500, skillmax=530 },
        { name="Visionary Metal Amender", skill="Armorsmith", skillmin=500, skillmax=530 },
        { name="Visionary Ornament Amender", skill="Artificer", skillmin=500, skillmax=530 },
        { name="Visionary Rune Amender", skill="Runecrafter", skillmin=500, skillmax=530 },
        { name="Visionary Textile Amender", skill="Outfitter", skillmin=500, skillmax=530 },
        { name="Visionary Alchemical Amender", skill="Apothecary", skillmin=500, skillmax=530 },
        { name="Visionary Weapon Amender", skill="Weaponsmith", skillmin=500, skillmax=530 },
        { name="Prophetic Textile Amender", skill="Outfitter", skillmin=450, skillmax=540 },
		
    },-- Amenders material
}
